#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0xc4c7888f, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xa1e92187, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x173c99b8, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0x36773dd4, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x5cac9465, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x61a09775, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xf1ee8f24, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x5c67e9f2, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0x6d49c6e5, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x8322d199, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xffcbcee0, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x175191ba, "_gpl");
SYMBOL_CRC(mhi_notify, 0x8a479362, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x7dc71405, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x4c60ddac, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x4340f7a6, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xd9ccbd5f, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xfb92db27, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xdb06aca7, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x9f7a5907, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x33906503, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0x050669e1, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x310ef535, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x27bdea7f, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xb06d6946, "_gpl");
SYMBOL_CRC(mhi_power_down, 0x676920dc, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x7a98d948, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0xfe8e4512, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x34e37f5a, "_gpl");
SYMBOL_CRC(mhi_device_get, 0x83803d31, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x4fbcd97a, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x78dc8457, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xdd32de30, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b150389, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2ca860c7, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fb7a065, "_raw_write_lock_irq" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x905b8ed8, "dma_map_page_attrs" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x458095a0, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x311f3829, "put_device" },
	{ 0xc016125f, "sysfs_remove_file_ns" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0x612772f3, "bus_unregister" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xce39d69a, "device_wakeup_enable" },
	{ 0xaf802244, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x834b5cc1, "dma_alloc_attrs" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xfb3dce48, "seq_putc" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6573f300, "ida_free" },
	{ 0xbdf75acb, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdd95d013, "device_del" },
	{ 0xeaedfe35, "_raw_write_unlock_irq" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0x18e5cca0, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x47d471f7, "bpf_trace_run3" },
	{ 0x295b696b, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7c398dcf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x411726bc, "seq_write" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154c3652, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x5a539e2e, "single_release" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x11772c3b, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbdd43ad4, "single_open" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x3ddd8dba, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x1314f8e1, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1c251f3a, "_raw_read_lock_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x84324a55, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f0530e4, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x1b909844, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0x8c102221, "_raw_read_unlock_irq" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x841fd12b, "dma_unmap_page_attrs" },
	{ 0x69c9923e, "request_firmware" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xad0d465e, "device_for_each_child" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "34FDD70FBB8371846BB26BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
