#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x31d45d51, "");
SYMBOL_CRC(drm_gem_vram_put, 0xfc3cb7e0, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x217805df, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xb3d0c017, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0xadb7ad64, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x1598108c, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x248721ea, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xc1775663, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x7b0b12b9, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0xc1c1d291, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x501bef25, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x375a6226, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xdf16e0b6, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xd8c2fc8a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc739e5b4, "dma_resv_reset_max_fences" },
	{ 0x21c3e0ed, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5ea851d6, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x57510a03, "drm_gem_object_release" },
	{ 0x6563e1, "ttm_tt_init" },
	{ 0x739dd5ff, "drm_gem_handle_create" },
	{ 0xf18759dd, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9a32dc26, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x48835aa4, "drm_debugfs_add_files" },
	{ 0xf8156c35, "ttm_bo_init_validate" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20003172, "ttm_device_init" },
	{ 0x9355e0fc, "ttm_bo_validate" },
	{ 0xacb86123, "ttm_bo_move_to_lru_tail" },
	{ 0xffab59da, "ttm_bo_vmap" },
	{ 0xec509689, "ttm_bo_put" },
	{ 0x5c20f2, "ttm_resource_free" },
	{ 0x9936f041, "ttm_bo_move_memcpy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf2eb129c, "ttm_tt_fini" },
	{ 0x5b99bf45, "ttm_device_fini" },
	{ 0x5b469c4e, "drm_gem_plane_helper_prepare_fb" },
	{ 0x50363e2d, "ttm_bo_eviction_valuable" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x10a776a5, "drm_gem_ttm_print_info" },
	{ 0xc22f7aad, "ttm_range_man_init_nocheck" },
	{ 0xaa2468f2, "ww_mutex_lock_interruptible" },
	{ 0xae5b5f36, "ttm_resource_manager_debug" },
	{ 0x8d450daa, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xbfe894d, "ttm_range_man_fini_nocheck" },
	{ 0x544170d0, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x780704e5, "ttm_bo_pin" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0x4aebaf7e, "drm_gem_ttm_mmap" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
