#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x80789147, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x9358c5e7, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0xc3df8e7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6cd0173, "drm_mode_probed_add" },
	{ 0x682be6a4, "drm_set_preferred_mode" },
	{ 0xe1830c92, "pwm_put" },
	{ 0xeddbef7a, "regulator_disable" },
	{ 0xdfa46e60, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x2229e2d2, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xc944b958, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x9e9fd3aa, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xb30296a, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x6c8c4e97, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xa18ff127, "drm_atomic_helper_check_plane_state" },
	{ 0x91bae0fc, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x7fea65b8, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x7203e9dd, "drm_dev_unplug" },
	{ 0xb5afe015, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xc35a681e, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xc6139643, "drm_gem_fb_begin_cpu_access" },
	{ 0xf0e68ddc, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x1586fee6, "drm_gem_fb_end_cpu_access" },
	{ 0x51d5d3a9, "drm_fb_xrgb8888_to_gray8" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xadf6aecb, "drm_fb_xrgb8888_to_mono" },
	{ 0xc8ab1ae4, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa3b262fe, "regulator_enable" },
	{ 0xa14eafef, "pwm_get" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x9bcd5ba0, "__drm_atomic_helper_crtc_reset" },
	{ 0xe1e4a4ca, "__drm_gem_reset_shadow_plane" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x33fec36, "_dev_warn" },
	{ 0xeed0e835, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xd96e9d89, "drm_gem_shmem_dumb_create" },
	{ 0xe54c626a, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0xbc58fc35, "noop_llseek" },
	{ 0x719e11a0, "drm_read" },
	{ 0x269b5037, "drm_poll" },
	{ 0xca30c56a, "drm_ioctl" },
	{ 0x92e6d4d4, "drm_compat_ioctl" },
	{ 0x90d80380, "drm_gem_mmap" },
	{ 0x59740b73, "drm_open" },
	{ 0x360e086, "drm_release" },
	{ 0x6a99c325, "drm_gem_fb_create_with_dirty" },
	{ 0xcf2d0b1b, "drm_atomic_helper_check" },
	{ 0x1a60ac74, "drm_atomic_helper_commit" },
	{ 0x8c441071, "drm_atomic_helper_connector_reset" },
	{ 0xa409468a, "drm_helper_probe_single_connector_modes" },
	{ 0x6f9f78e8, "drm_connector_cleanup" },
	{ 0xb757dae3, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd9f707f6, "drm_atomic_helper_connector_destroy_state" },
	{ 0x834a5cb2, "drm_encoder_cleanup" },
	{ 0xf05fd750, "drm_crtc_cleanup" },
	{ 0x604f4898, "drm_atomic_helper_set_config" },
	{ 0xefd8ac3c, "drm_atomic_helper_page_flip" },
	{ 0x461b6903, "drm_atomic_helper_update_plane" },
	{ 0xf24efeba, "drm_atomic_helper_disable_plane" },
	{ 0x16f8570e, "drm_plane_cleanup" },
	{ 0xed2aa9b1, "drm_gem_begin_shadow_fb_access" },
	{ 0xe8ac7ce4, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd5a80c71, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1709709, "__devm_drm_dev_alloc" },
	{ 0x97003204, "device_get_match_data" },
	{ 0xdab5867e, "device_property_read_u32_array" },
	{ 0x8bb2a000, "device_property_read_u8_array" },
	{ 0x7a117503, "device_property_present" },
	{ 0x6df0d293, "devm_gpiod_get_optional" },
	{ 0xacb9c2c9, "devm_regulator_get" },
	{ 0xd2c659f6, "devm_backlight_device_register" },
	{ 0x813ec576, "drmm_mode_config_init" },
	{ 0xab86720f, "drm_universal_plane_init" },
	{ 0x8d83ddb0, "drm_plane_enable_fb_damage_clips" },
	{ 0x3da52755, "drm_crtc_init_with_planes" },
	{ 0xf7f88507, "drm_encoder_init" },
	{ 0x4578e149, "drm_connector_init" },
	{ 0x29f36db2, "drm_connector_attach_encoder" },
	{ 0x7cc739e3, "drm_mode_config_reset" },
	{ 0x4b71a265, "drm_dev_register" },
	{ 0x837510d6, "drm_client_setup" },
	{ 0x55ef8630, "dev_err_probe" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x8de1082c, "drm_mode_duplicate" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F157D7F4076DB9959BCD64E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
