#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dma_buffer_block_done, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_block_list_abort, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_request_update, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_disable, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_read, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_write, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_usage, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_attach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_detach_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_enqueue_dmabuf, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_lock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_unlock_queue, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_bytes_per_datum, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_set_length, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_init, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_exit, "_gpl", "IIO_DMA_BUFFER");
KSYMTAB_FUNC(iio_dma_buffer_release, "_gpl", "IIO_DMA_BUFFER");

SYMBOL_CRC(iio_dma_buffer_block_done, 0x656cded2, "_gpl");
SYMBOL_CRC(iio_dma_buffer_block_list_abort, 0x06485d03, "_gpl");
SYMBOL_CRC(iio_dma_buffer_request_update, 0x2a5c5a76, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enable, 0x93351fda, "_gpl");
SYMBOL_CRC(iio_dma_buffer_disable, 0xe482d199, "_gpl");
SYMBOL_CRC(iio_dma_buffer_read, 0xfcb4a8c9, "_gpl");
SYMBOL_CRC(iio_dma_buffer_write, 0xc4861598, "_gpl");
SYMBOL_CRC(iio_dma_buffer_usage, 0xa0159f10, "_gpl");
SYMBOL_CRC(iio_dma_buffer_attach_dmabuf, 0x516c2180, "_gpl");
SYMBOL_CRC(iio_dma_buffer_detach_dmabuf, 0xb0724861, "_gpl");
SYMBOL_CRC(iio_dma_buffer_enqueue_dmabuf, 0x45f676f3, "_gpl");
SYMBOL_CRC(iio_dma_buffer_lock_queue, 0x2ef15255, "_gpl");
SYMBOL_CRC(iio_dma_buffer_unlock_queue, 0x2ba46d81, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_bytes_per_datum, 0xa4b5f20e, "_gpl");
SYMBOL_CRC(iio_dma_buffer_set_length, 0x3d9ba092, "_gpl");
SYMBOL_CRC(iio_dma_buffer_init, 0x3768eebf, "_gpl");
SYMBOL_CRC(iio_dma_buffer_exit, 0x513339f6, "_gpl");
SYMBOL_CRC(iio_dma_buffer_release, 0xae080970, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c398dcf, "dma_free_attrs" },
	{ 0xf6ad37d9, "iio_buffer_put" },
	{ 0x37a0cba, "kfree" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe997dfc1, "iio_buffer_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x834b5cc1, "dma_alloc_attrs" },
	{ 0x37fb46bc, "iio_buffer_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2372874e, "iio_buffer_signal_dmabuf_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "40686D0B8D57566C7EF7F59");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
