#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(iio_bus_type, "", "");
KSYMTAB_FUNC(iio_device_id, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_enabled, "_gpl", "");
KSYMTAB_FUNC(iio_get_debugfs_dentry, "_gpl", "");
KSYMTAB_FUNC(iio_read_const_attr, "", "");
KSYMTAB_FUNC(iio_device_set_clock, "", "");
KSYMTAB_FUNC(iio_device_get_clock, "", "");
KSYMTAB_FUNC(iio_get_time_ns, "", "");
KSYMTAB_FUNC(iio_enum_available_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_read, "_gpl", "");
KSYMTAB_FUNC(iio_enum_write, "_gpl", "");
KSYMTAB_FUNC(iio_show_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_read_mount_matrix, "", "");
KSYMTAB_FUNC(iio_format_value, "_gpl", "");
KSYMTAB_FUNC(iio_str_to_fixpoint, "_gpl", "");
KSYMTAB_FUNC(iio_device_alloc, "", "");
KSYMTAB_FUNC(iio_device_free, "", "");
KSYMTAB_FUNC(devm_iio_device_alloc, "_gpl", "");
KSYMTAB_FUNC(iio_active_scan_mask_index, "_gpl", "");
KSYMTAB_FUNC(__iio_device_register, "", "");
KSYMTAB_FUNC(iio_device_unregister, "", "");
KSYMTAB_FUNC(__devm_iio_device_register, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_direct_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_claim_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_release_buffer_mode, "_gpl", "");
KSYMTAB_FUNC(iio_device_get_current_mode, "_gpl", "");
KSYMTAB_FUNC(iio_push_event, "", "");
KSYMTAB_FUNC(iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(iio_map_array_unregister, "_gpl", "");
KSYMTAB_FUNC(devm_iio_map_array_register, "_gpl", "");
KSYMTAB_FUNC(fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get, "_gpl", "");
KSYMTAB_FUNC(devm_fwnode_iio_channel_get_by_name, "_gpl", "");
KSYMTAB_FUNC(iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_channel_release_all, "_gpl", "");
KSYMTAB_FUNC(devm_iio_channel_get_all, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_average_raw, "_gpl", "");
KSYMTAB_FUNC(iio_convert_raw_to_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_offset, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_processed, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_scale, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_read_avail_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_max_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_read_min_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_type, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_attribute, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_raw, "_gpl", "");
KSYMTAB_FUNC(iio_get_channel_ext_info_count, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_write_channel_ext_info, "_gpl", "");
KSYMTAB_FUNC(iio_read_channel_label, "_gpl", "");
KSYMTAB_FUNC(iio_pop_from_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_init, "", "");
KSYMTAB_FUNC(iio_update_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_signal_dmabuf_done, "_gpl", "");
KSYMTAB_FUNC(iio_validate_scan_mask_onehot, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers, "_gpl", "");
KSYMTAB_FUNC(iio_push_to_buffers_with_ts_unaligned, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_get, "_gpl", "");
KSYMTAB_FUNC(iio_buffer_put, "_gpl", "");
KSYMTAB_FUNC(iio_device_attach_buffer, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_register, "", "");
KSYMTAB_FUNC(iio_trigger_unregister, "", "");
KSYMTAB_FUNC(iio_trigger_set_immutable, "", "");
KSYMTAB_FUNC(iio_trigger_poll, "", "");
KSYMTAB_FUNC(iio_trigger_generic_data_rdy_poll, "", "");
KSYMTAB_FUNC(iio_trigger_poll_nested, "", "");
KSYMTAB_FUNC(iio_trigger_notify_done, "", "");
KSYMTAB_FUNC(iio_pollfunc_store_time, "", "");
KSYMTAB_FUNC(iio_alloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(iio_dealloc_pollfunc, "_gpl", "");
KSYMTAB_FUNC(__iio_trigger_alloc, "", "");
KSYMTAB_FUNC(iio_trigger_free, "", "");
KSYMTAB_FUNC(__devm_iio_trigger_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_iio_trigger_register, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_using_own, "", "");
KSYMTAB_FUNC(iio_validate_own_trigger, "_gpl", "");
KSYMTAB_FUNC(iio_trigger_validate_own_device, "", "");
KSYMTAB_FUNC(iio_device_suspend_triggering, "", "");
KSYMTAB_FUNC(iio_device_resume_triggering, "", "");
KSYMTAB_FUNC(iio_read_acpi_mount_matrix, "_gpl", "");
KSYMTAB_FUNC(iio_get_acpi_device_name_and_data, "_gpl", "");

SYMBOL_CRC(iio_bus_type, 0x51fb38ce, "");
SYMBOL_CRC(iio_device_id, 0xc0ca4e2b, "_gpl");
SYMBOL_CRC(iio_buffer_enabled, 0xa46fd267, "_gpl");
SYMBOL_CRC(iio_get_debugfs_dentry, 0x1f435d79, "_gpl");
SYMBOL_CRC(iio_read_const_attr, 0x951ef5e4, "");
SYMBOL_CRC(iio_device_set_clock, 0x5c42cdd5, "");
SYMBOL_CRC(iio_device_get_clock, 0xeb3cb622, "");
SYMBOL_CRC(iio_get_time_ns, 0x8a00b97f, "");
SYMBOL_CRC(iio_enum_available_read, 0x371723b3, "_gpl");
SYMBOL_CRC(iio_enum_read, 0xe817d7c7, "_gpl");
SYMBOL_CRC(iio_enum_write, 0x41a100eb, "_gpl");
SYMBOL_CRC(iio_show_mount_matrix, 0x4db45be5, "_gpl");
SYMBOL_CRC(iio_read_mount_matrix, 0xf3492a89, "");
SYMBOL_CRC(iio_format_value, 0x4dce7dd4, "_gpl");
SYMBOL_CRC(iio_str_to_fixpoint, 0x26f6b499, "_gpl");
SYMBOL_CRC(iio_device_alloc, 0x09147834, "");
SYMBOL_CRC(iio_device_free, 0x449331cd, "");
SYMBOL_CRC(devm_iio_device_alloc, 0xeda1ed1d, "_gpl");
SYMBOL_CRC(iio_active_scan_mask_index, 0x75be2881, "_gpl");
SYMBOL_CRC(__iio_device_register, 0xf2426d93, "");
SYMBOL_CRC(iio_device_unregister, 0x557d3c7d, "");
SYMBOL_CRC(__devm_iio_device_register, 0xe48a86db, "_gpl");
SYMBOL_CRC(iio_device_claim_direct_mode, 0x3d0f70e9, "_gpl");
SYMBOL_CRC(iio_device_release_direct_mode, 0xd78b902c, "_gpl");
SYMBOL_CRC(iio_device_claim_buffer_mode, 0x4c505f94, "_gpl");
SYMBOL_CRC(iio_device_release_buffer_mode, 0xa6d4bf51, "_gpl");
SYMBOL_CRC(iio_device_get_current_mode, 0xdd4155f5, "_gpl");
SYMBOL_CRC(iio_push_event, 0x789d17ea, "");
SYMBOL_CRC(iio_map_array_register, 0xbdc2bb8f, "_gpl");
SYMBOL_CRC(iio_map_array_unregister, 0xdcdfd0e3, "_gpl");
SYMBOL_CRC(devm_iio_map_array_register, 0x6803fb38, "_gpl");
SYMBOL_CRC(fwnode_iio_channel_get_by_name, 0x40ae641e, "_gpl");
SYMBOL_CRC(iio_channel_get, 0x3a77acb3, "_gpl");
SYMBOL_CRC(iio_channel_release, 0x22c67587, "_gpl");
SYMBOL_CRC(devm_iio_channel_get, 0x7f3159ac, "_gpl");
SYMBOL_CRC(devm_fwnode_iio_channel_get_by_name, 0xdad1618c, "_gpl");
SYMBOL_CRC(iio_channel_get_all, 0x0493604d, "_gpl");
SYMBOL_CRC(iio_channel_release_all, 0x2e6611c6, "_gpl");
SYMBOL_CRC(devm_iio_channel_get_all, 0xba929f7f, "_gpl");
SYMBOL_CRC(iio_read_channel_raw, 0xacca9f51, "_gpl");
SYMBOL_CRC(iio_read_channel_average_raw, 0x11d776ce, "_gpl");
SYMBOL_CRC(iio_convert_raw_to_processed, 0x4bd9cd21, "_gpl");
SYMBOL_CRC(iio_read_channel_attribute, 0x08e43482, "_gpl");
SYMBOL_CRC(iio_read_channel_offset, 0x654f70f0, "_gpl");
SYMBOL_CRC(iio_read_channel_processed_scale, 0x04caaa55, "_gpl");
SYMBOL_CRC(iio_read_channel_processed, 0x3a8e278d, "_gpl");
SYMBOL_CRC(iio_read_channel_scale, 0xf4db06b9, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_attribute, 0x5361b7af, "_gpl");
SYMBOL_CRC(iio_read_avail_channel_raw, 0x74e97ed9, "_gpl");
SYMBOL_CRC(iio_read_max_channel_raw, 0xabc4bda9, "_gpl");
SYMBOL_CRC(iio_read_min_channel_raw, 0x0ac20d73, "_gpl");
SYMBOL_CRC(iio_get_channel_type, 0xfb13e3a6, "_gpl");
SYMBOL_CRC(iio_write_channel_attribute, 0xbcedc9f4, "_gpl");
SYMBOL_CRC(iio_write_channel_raw, 0x8cee86a2, "_gpl");
SYMBOL_CRC(iio_get_channel_ext_info_count, 0x4879748e, "_gpl");
SYMBOL_CRC(iio_read_channel_ext_info, 0xeb5fba84, "_gpl");
SYMBOL_CRC(iio_write_channel_ext_info, 0x426777ac, "_gpl");
SYMBOL_CRC(iio_read_channel_label, 0x107e9d99, "_gpl");
SYMBOL_CRC(iio_pop_from_buffer, 0x51941fc7, "_gpl");
SYMBOL_CRC(iio_buffer_init, 0xe997dfc1, "");
SYMBOL_CRC(iio_update_buffers, 0xfda86e03, "_gpl");
SYMBOL_CRC(iio_buffer_signal_dmabuf_done, 0x2372874e, "_gpl");
SYMBOL_CRC(iio_validate_scan_mask_onehot, 0xd1ac383a, "_gpl");
SYMBOL_CRC(iio_push_to_buffers, 0x38954202, "_gpl");
SYMBOL_CRC(iio_push_to_buffers_with_ts_unaligned, 0xbecc9c58, "_gpl");
SYMBOL_CRC(iio_buffer_get, 0x37fb46bc, "_gpl");
SYMBOL_CRC(iio_buffer_put, 0xf6ad37d9, "_gpl");
SYMBOL_CRC(iio_device_attach_buffer, 0xc619f826, "_gpl");
SYMBOL_CRC(iio_trigger_register, 0x56dd7f75, "");
SYMBOL_CRC(iio_trigger_unregister, 0x68471eef, "");
SYMBOL_CRC(iio_trigger_set_immutable, 0x81c6919c, "");
SYMBOL_CRC(iio_trigger_poll, 0x24ccd044, "");
SYMBOL_CRC(iio_trigger_generic_data_rdy_poll, 0x2d6bcdcb, "");
SYMBOL_CRC(iio_trigger_poll_nested, 0x334170ec, "");
SYMBOL_CRC(iio_trigger_notify_done, 0xb2ca66eb, "");
SYMBOL_CRC(iio_pollfunc_store_time, 0xdf76bbeb, "");
SYMBOL_CRC(iio_alloc_pollfunc, 0xf26015ad, "_gpl");
SYMBOL_CRC(iio_dealloc_pollfunc, 0xf6cb7210, "_gpl");
SYMBOL_CRC(__iio_trigger_alloc, 0x1a174332, "");
SYMBOL_CRC(iio_trigger_free, 0x2d10ecb3, "");
SYMBOL_CRC(__devm_iio_trigger_alloc, 0x9e4ccb96, "_gpl");
SYMBOL_CRC(devm_iio_trigger_register, 0xb525bb0c, "_gpl");
SYMBOL_CRC(iio_trigger_using_own, 0xe109dfa9, "");
SYMBOL_CRC(iio_validate_own_trigger, 0x12525f02, "_gpl");
SYMBOL_CRC(iio_trigger_validate_own_device, 0x52b94c5a, "");
SYMBOL_CRC(iio_device_suspend_triggering, 0xbe614616, "");
SYMBOL_CRC(iio_device_resume_triggering, 0x05b7c6f2, "");
SYMBOL_CRC(iio_read_acpi_mount_matrix, 0x2c02af79, "_gpl");
SYMBOL_CRC(iio_get_acpi_device_name_and_data, 0x1332fa4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5cfc7cb, "cdev_device_add" },
	{ 0xc739e5b4, "dma_resv_reset_max_fences" },
	{ 0x2c9c1614, "ww_mutex_trylock" },
	{ 0x1000e51, "schedule" },
	{ 0xa86e5da3, "anon_inode_getfd" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x311f3829, "put_device" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0x812ba5de, "dma_buf_map_attachment" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x1c5b1f28, "irq_free_descs" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40462a3c, "handle_simple_irq" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xd12975cc, "compat_ptr_ioctl" },
	{ 0xf5e7ea40, "ktime_get_coarse_ts64" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x612772f3, "bus_unregister" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x7a40eeb6, "simple_open" },
	{ 0xa05ab068, "dma_buf_unmap_attachment" },
	{ 0x910bea23, "bus_find_device" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0xaf802244, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x587b0954, "kvasprintf" },
	{ 0xbc58fc35, "noop_llseek" },
	{ 0x782850f, "dma_fence_signal" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x19d65bf3, "dma_buf_get" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0x8e837d73, "device_property_read_string_array" },
	{ 0x95c9da78, "__devres_alloc_node" },
	{ 0x10ae0bc, "ww_mutex_lock" },
	{ 0xc4a35db2, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x13a3308c, "dma_fence_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x4578f528, "__kfifo_to_user" },
	{ 0xdd95d013, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e62d491, "acpi_match_device" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x935b1a7d, "__irq_alloc_descs" },
	{ 0x9675c444, "fwnode_property_read_string" },
	{ 0x51f70624, "fwnode_property_present" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x77389458, "fwnode_get_next_parent" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x44a82896, "dma_buf_detach" },
	{ 0x945d241f, "devm_krealloc" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x141800e6, "__irq_set_handler" },
	{ 0xc2509fb5, "__devm_add_action" },
	{ 0x427ccda3, "irq_set_chip" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xab6b606c, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x16cb0a7b, "__dev_fwnode" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x1314f8e1, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9714e0bb, "ktime_get_raw" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaa2468f2, "ww_mutex_lock_interruptible" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x38c3a347, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd4f98dcc, "dma_resv_reserve_fences" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xf134db77, "dma_resv_wait_timeout" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x38ffca01, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8d450daa, "ww_mutex_unlock" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x961507f, "dma_resv_add_fence" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7ceaf0d5, "generic_handle_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xeccdb3f, "fwnode_property_get_reference_args" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xd0e4a9bc, "__module_get" },
	{ 0x2ca860c7, "get_device" },
	{ 0xc3f90e2, "dma_buf_attach" },
	{ 0x1c7eb784, "fwnode_property_match_string" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xb7decc16, "fwnode_get_parent" },
	{ 0xe4ec84bc, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4965836b, "device_match_fwnode" },
	{ 0x17d75658, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C4D4D8DC822A9EB2D8C642A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
