#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_FUNC(uverbs_try_lock_object, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x4c6f9758, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0x2754f83d, "");
SYMBOL_CRC(flow_resources_alloc, 0x7a0012f5, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x9d4e51b9, "");
SYMBOL_CRC(flow_resources_add, 0x4beede93, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0x7c38ab59, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x49c3f478, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x98738611, "");
SYMBOL_CRC(uverbs_try_lock_object, 0x263ed631, "");
SYMBOL_CRC(uverbs_idr_class, 0x43c62d63, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x1df14aee, "");
SYMBOL_CRC(uverbs_fd_class, 0x3f3f1169, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x0cfb95db, "");
SYMBOL_CRC(_uverbs_alloc, 0x88732cd5, "");
SYMBOL_CRC(uverbs_get_flags64, 0x2dff57f8, "");
SYMBOL_CRC(uverbs_get_flags32, 0x5efe3177, "");
SYMBOL_CRC(uverbs_copy_to, 0x33c9f11f, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x56781980, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0xf0818501, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0xf79ccbfc, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0xf37a8ae3, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x8fa1ea66, "");
SYMBOL_CRC(ib_umem_get, 0x5ac12d95, "");
SYMBOL_CRC(ib_umem_release, 0x4ad3a5d4, "");
SYMBOL_CRC(ib_umem_copy_from, 0xbe7efae0, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0xc216ff68, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x78e81a77, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0x72948736, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0x9c52ff4e, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0xf4ccff3d, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0x63e09004, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xf2df39de, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x74814959, "");
SYMBOL_CRC(ib_umem_odp_get, 0x58fdc362, "");
SYMBOL_CRC(ib_umem_odp_release, 0x7fe45e92, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0x1f619ce4, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x59da4e1d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0x19d65bf3, "dma_buf_get" },
	{ 0xb7474792, "ib_query_port" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x10ae0bc, "ww_mutex_lock" },
	{ 0xa017f214, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1d5cfe7e, "ib_qp_usecnt_inc" },
	{ 0xc4a35db2, "dma_buf_put" },
	{ 0x6573f300, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x294db324, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb16a8439, "cleanup_srcu_struct" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xcbf90997, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2aedf03, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x67e82bc0, "rdma_create_user_ah" },
	{ 0xa234a794, "rdma_destroy_ah_user" },
	{ 0xc7736b5a, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xefc5c788, "ib_destroy_cq_user" },
	{ 0xeddd417, "down_read" },
	{ 0x4487897c, "__mmdrop" },
	{ 0xb290a41, "rdma_restrack_del" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c8b642f, "set_page_dirty" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xea0ddc2b, "__mmap_lock_do_trace_start_locking" },
	{ 0x9a486d6c, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7230beea, "fdget" },
	{ 0x53a26383, "igrab" },
	{ 0xbdf9f819, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdacf2379, "mmput" },
	{ 0xe4b33010, "dma_map_sgtable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x248b29a7, "__tracepoint_mmap_lock_start_locking" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d177c20, "__mmap_lock_do_trace_released" },
	{ 0x717e5e8d, "ib_alloc_xrcd_user" },
	{ 0xa8857036, "xa_store" },
	{ 0x2879204f, "__srcu_read_unlock" },
	{ 0xea6dfc77, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5dd3ad22, "alloc_pages_noprof" },
	{ 0x3749c52f, "ib_dealloc_xrcd_user" },
	{ 0x44a82896, "dma_buf_detach" },
	{ 0x864fcee, "stream_open" },
	{ 0x69d7c110, "mmu_interval_notifier_insert" },
	{ 0x6ea92e18, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0xd918096a, "ib_open_qp" },
	{ 0x37e73799, "ib_dealloc_pd_user" },
	{ 0x402c2afc, "rdma_get_gid_attr" },
	{ 0x3997e9d5, "dma_unmap_sg_attrs" },
	{ 0xfbb9074c, "rdma_port_get_link_layer" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x57b8d567, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x51133c0e, "rdma_query_gid_table" },
	{ 0xfb39b707, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x893c5e86, "rdma_restrack_put" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x5e81daf8, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x622e2042, "rdma_umap_priv_init" },
	{ 0xbb53856b, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x6f39bc9, "ib_destroy_wq_user" },
	{ 0x7dce2331, "put_pid" },
	{ 0x34d3fe86, "class_register" },
	{ 0xab6b606c, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xf1bbaec9, "rdma_user_mmap_entry_put" },
	{ 0x96e931a0, "pin_user_pages_fast" },
	{ 0xd49239bd, "mmu_interval_notifier_remove" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x438c5d4e, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xd592db24, "ib_unregister_client" },
	{ 0x699e8e90, "show_class_attr_string" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb76c715d, "unpin_user_pages_dirty_lock" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0xcb0f5735, "ibdev_warn" },
	{ 0x65b45cb, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xcbf47ab7, "mmu_interval_read_begin" },
	{ 0xc1569c53, "ib_create_qp_user" },
	{ 0xf134db77, "dma_resv_wait_timeout" },
	{ 0x38ffca01, "cdev_device_del" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0xb53e54d0, "get_pid_task" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xa529e4e8, "kill_fasync" },
	{ 0x841fd12b, "dma_unmap_page_attrs" },
	{ 0x85a904bb, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa4b3f850, "fget" },
	{ 0xb44a883a, "__put_task_struct" },
	{ 0x6e567fb0, "ib_query_srq" },
	{ 0x8d450daa, "ww_mutex_unlock" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x9a82c909, "__dynamic_ibdev_dbg" },
	{ 0xcae2c57e, "ib_rdmacg_try_charge" },
	{ 0x457eeefc, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2c99c19, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x67f80b5f, "unpin_user_page_range_dirty_lock" },
	{ 0xbb84e9ab, "iput" },
	{ 0x1d836afe, "dma_buf_unpin" },
	{ 0x5ddefa8f, "zap_vma_ptes" },
	{ 0x5c2180b8, "ib_dereg_mr_user" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xe44cf64b, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xa8cbca2e, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xda76552f, "rdma_dev_access_netns" },
	{ 0x2ca860c7, "get_device" },
	{ 0x36e3b442, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x55d16bea, "__tracepoint_mmap_lock_released" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x219a06d5, "dma_buf_dynamic_attach" },
	{ 0x431b6af8, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x1b5fecd0, "radix_tree_iter_delete" },
	{ 0x1cd05e2c, "ib_destroy_srq_user" },
	{ 0x5dd1f7f3, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x66f84278, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x905b8ed8, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xa5cfc7cb, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xc739e5b4, "dma_resv_reset_max_fences" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4ca5c059, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x311f3829, "put_device" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0x45314938, "ib_modify_qp_with_udata" },
	{ 0x85855678, "ib_register_event_handler" },
	{ 0xdbcae60e, "ib_detach_mcast" },
	{ 0x812ba5de, "dma_buf_map_attachment" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x29401fc2, "__free_pages" },
	{ 0x24a10c58, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0xfce043c9, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd12975cc, "compat_ptr_ioctl" },
	{ 0xdca401c2, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0x839c2f8e, "__task_pid_nr_ns" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x60fd0f5f, "init_srcu_struct" },
	{ 0x3ee6430c, "fput" },
	{ 0x6327601b, "ib_set_client_data" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xa05ab068, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x7fd032b8, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xc67f413b, "rdma_put_gid_attr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "979B2BAA91C3D4BE499C80E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
