#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(__tracepoint_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_request_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_request_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_bypass_sequential, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_bypass_congested, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_read_retry, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_cache_insert, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_replay_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_journal_entry_full, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_cache_cannibalize, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_alloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_free, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_gc_coalesce, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_end, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_copy, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_gc_copy_collision, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_insert_key, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_split, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_node_compact, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_btree_set_root, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_invalidate, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_alloc_fail, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_writeback, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bcache_writeback_collision, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bcache_writeback_collision, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_bcache_writeback_collision, "_gpl", "");

SYMBOL_CRC(__tracepoint_bcache_request_start, 0x25b2c758, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_start, 0xed8742bf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_start, 0x830893dc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_start, 0xd7a7fbec, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_request_end, 0xe1b6d30c, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_end, 0x231b8d36, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_end, 0x54e06949, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_request_end, 0xfce76b1e, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_sequential, 0x394fcf26, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_sequential, 0xf111d644, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_sequential, 0x115e28c9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_sequential, 0xf57f81ae, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_congested, 0x373b625a, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_congested, 0x947507f0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_congested, 0x24641362, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_bypass_congested, 0x7f252e00, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read, 0x55583019, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read, 0xa5c072a9, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read, 0x14fdafe8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read, 0xedf90bb3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_write, 0x5bc3d54b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_write, 0x43abadb0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_write, 0x9138b25e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_write, 0x5dd80bd5, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read_retry, 0x2b571cd7, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read_retry, 0x1de02645, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read_retry, 0xad22686a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_read_retry, 0x787810b2, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_cache_insert, 0x374dfa61, "_gpl");
SYMBOL_CRC(__traceiter_bcache_cache_insert, 0xb5a62a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_cache_insert, 0x314e19c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_cache_insert, 0x752f7fa4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_replay_key, 0x22ad21cc, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_replay_key, 0x2766fb04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_replay_key, 0x1230cfc2, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_replay_key, 0xb7e5379d, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_write, 0x3382d6bd, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_write, 0x35c60298, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_write, 0x95388239, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_write, 0x287090dc, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_full, 0xcc90414d, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_full, 0x6fdfe192, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_full, 0xca93a2e8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_full, 0xdb0682eb, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_entry_full, 0xc80a6a24, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_entry_full, 0x01fc9bf0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_entry_full, 0xf897842a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_journal_entry_full, 0xf7a5edc7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_cache_cannibalize, 0x3495827b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_cache_cannibalize, 0x6bbddc26, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_cache_cannibalize, 0x97881741, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_cache_cannibalize, 0x822db771, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_read, 0x7862aa49, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_read, 0x61044b9c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_read, 0xfe17def4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_read, 0xce451ad8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_write, 0x3085be25, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_write, 0x3c11ae1d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_write, 0x85d30460, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_write, 0x629c9180, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc, 0x9fb3c23f, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc, 0x4b766e85, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc, 0x8cecb307, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc, 0x21b87a42, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc_fail, 0xd26a7108, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc_fail, 0x1a98b9cd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc_fail, 0x96b76da9, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_alloc_fail, 0x297e0da3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_free, 0x1b41d5d3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_free, 0x72d7a934, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_free, 0x28a8bbcb, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_free, 0x817ad796, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_gc_coalesce, 0x34339bc2, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_gc_coalesce, 0x1c599ebe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_gc_coalesce, 0x1c227c2d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_gc_coalesce, 0xa15bd7c4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_start, 0xeeab6b42, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_start, 0xec519198, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_start, 0xf495dce7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_start, 0x6677ebf0, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_end, 0xf9e9c144, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_end, 0xff8b3656, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_end, 0x94fedec8, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_end, 0xd7a376b3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy, 0xdf8edc79, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy, 0xad6440b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy, 0x3bed046d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy, 0x36f317a4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy_collision, 0x4b61c2e3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy_collision, 0xec29e22a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy_collision, 0x6370250c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_gc_copy_collision, 0xd30206ff, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_insert_key, 0xaa76ddac, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_insert_key, 0xcf4d9211, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_insert_key, 0xb929ac94, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_insert_key, 0x972aa384, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_split, 0x75b3e308, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_split, 0x4c9cbed5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_split, 0x66ec9230, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_split, 0x9d28d153, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_compact, 0x9ea4add2, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_compact, 0x7dcb1a27, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_compact, 0xae3943dc, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_node_compact, 0xa784e073, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_set_root, 0x44a2dbab, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_set_root, 0x067a1d8b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_set_root, 0xaed126c6, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_btree_set_root, 0x25cacb14, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_invalidate, 0x96e66716, "_gpl");
SYMBOL_CRC(__traceiter_bcache_invalidate, 0xb442d7ff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_invalidate, 0x109313ab, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_invalidate, 0xc73e0c99, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_alloc_fail, 0x9f23c0e0, "_gpl");
SYMBOL_CRC(__traceiter_bcache_alloc_fail, 0xfca3ee03, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_alloc_fail, 0x1956b45d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_alloc_fail, 0x300c8ff4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback, 0xac228798, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback, 0x17a83e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback, 0x0a84ee48, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback, 0xfb767f16, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback_collision, 0x43244372, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback_collision, 0x64e39418, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback_collision, 0xa4acf39b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_bcache_writeback_collision, 0x4543b49b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x570f92f9, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0x1d90e31, "__bio_advance" },
	{ 0x3ee6430c, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x54308b3a, "kobject_add" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8e5f7c31, "sysfs_remove_link" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x3c3f5ff4, "set_capacity" },
	{ 0x2fea15ae, "submit_bio_noacct" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x32a460e8, "down" },
	{ 0x7dfe340b, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6573f300, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x681fb570, "zero_fill_bio_iter" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb0a5535f, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x747c2098, "__put_devmap_managed_folio_refs" },
	{ 0x53f60806, "kthread_stop" },
	{ 0x56941fa4, "__min_heap_push" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x8544d59, "bdev_file_open_by_dev" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x480f2d83, "read_cache_page_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3527bb12, "bpf_trace_run1" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x3d9ee6cb, "bd_unlink_disk_holder" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6ee44898, "bio_init" },
	{ 0x2d32013c, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0x1b5dc33, "bio_reset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd18c00db, "__min_heap_init" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xfe40e12d, "__kmem_cache_create_args" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x65a30fe6, "kobject_create_and_add" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18b17ecf, "bio_free_pages" },
	{ 0x763f309b, "kthread_create_on_node" },
	{ 0x47d471f7, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x55dd12e, "kobject_del" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x79bf0369, "bioset_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfa98c225, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x15d05070, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb3ed79ca, "bd_link_disk_holder" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x5dd3ad22, "alloc_pages_noprof" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x96926f27, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0xc29bf967, "strspn" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x411fa3b3, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa0951249, "kobject_get" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x996bdf51, "kmem_cache_destroy" },
	{ 0xf7a83c0e, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x907eafbb, "blkdev_issue_discard" },
	{ 0x3c766146, "kobject_put" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0xdd479306, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3cba86cd, "set_disk_ro" },
	{ 0x34a523cc, "__blk_alloc_disk" },
	{ 0xc5fe5db5, "__min_heap_pop" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x29ff94ed, "bdev_file_open_by_path" },
	{ 0xc0889c75, "shrinker_alloc" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf93e13eb, "__min_heapify_all" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8aba21f1, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f0530e4, "bpf_trace_run4" },
	{ 0x55da9353, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7e56a4e, "simple_strtoll" },
	{ 0xcc8adbad, "bio_copy_data" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xa8e092eb, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa0646d57, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0xf0d5b9be, "bio_init_clone" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbfc97bdc, "up" },
	{ 0x9016047c, "closure_wait" },
	{ 0x333f6461, "kobject_init" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x3b150389, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd0e4a9bc, "__module_get" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0xf7c521f2, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x87c6f55c, "wake_up_process" },
	{ 0xedaa72e5, "shrinker_free" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xc7ddc626, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc7fe89b, "put_disk" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xb06d3abe, "fs_kobj" },
	{ 0xb5465091, "__min_heap_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x3237e0a1, "shrinker_register" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29401fc2, "__free_pages" },
	{ 0x900c9ef9, "submit_bio" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0xf0e0abfa, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7b4c5e7f, "sysfs_create_link" },
	{ 0xae451ba0, "__min_heap_peek" },
	{ 0x28c72cb7, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x9b7a8551, "__min_heap_sift_down" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0xc4204a91, "kobject_uevent_env" },
	{ 0x3e2b9d46, "bio_put" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9E42C58450DA48C7D5331BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
