#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0xa1443991, "_gpl");
SYMBOL_CRC(mux_chip_register, 0xf7c2e272, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0xf4304864, "_gpl");
SYMBOL_CRC(mux_chip_free, 0x68094e50, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0x6b268d01, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x13777f11, "_gpl");
SYMBOL_CRC(mux_control_states, 0x9688bf79, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x63d1ffa8, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0x704bfcf2, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0xec308dae, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0x16465a27, "_gpl");
SYMBOL_CRC(mux_control_put, 0x28e5b279, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0x5fdae75d, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x6c481498, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe4ec84bc, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x311f3829, "put_device" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xaf802244, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x95c9da78, "__devres_alloc_node" },
	{ 0x6573f300, "ida_free" },
	{ 0x294db324, "class_unregister" },
	{ 0xcf191255, "down_trylock" },
	{ 0xdd95d013, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc73e6a2e, "down_killable" },
	{ 0x34d3fe86, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0xbfc97bdc, "up" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "330F3890F0AECD292E3B2B5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
