#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xb93110b, "__dynamic_netdev_dbg" },
	{ 0x31830a7c, "call_switchdev_notifiers" },
	{ 0x4f33974, "skb_queue_tail" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa181b8e4, "spi_get_device_id" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x7a117503, "device_property_present" },
	{ 0x6df0d293, "devm_gpiod_get_optional" },
	{ 0x1ca8aa3, "spi_bus_lock" },
	{ 0x78b2f9c3, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x998d6328, "spi_bus_unlock" },
	{ 0xee376d87, "devm_mdiobus_alloc_size" },
	{ 0xd181e68, "__devm_mdiobus_register" },
	{ 0x32aba7fb, "devm_alloc_etherdev_mqs" },
	{ 0xce6dd87d, "device_get_ethdev_address" },
	{ 0x97f9aba8, "netif_carrier_off" },
	{ 0x49cb7578, "get_phy_device" },
	{ 0x28dcb5ab, "phy_connect" },
	{ 0xc2509fb5, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x6c988b3f, "devm_request_threaded_irq" },
	{ 0x5e27bfcf, "devm_register_netdev" },
	{ 0xfbfe1de4, "netdev_err" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xcca171e7, "netif_tx_wake_queue" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x701c9574, "phy_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf2635788, "dev_addr_mod" },
	{ 0x23a45a15, "eth_prepare_mac_addr_change" },
	{ 0xa71740d9, "phy_start" },
	{ 0x4af6e4c0, "ethtool_op_get_link" },
	{ 0xbf1e4fbb, "phy_ethtool_get_link_ksettings" },
	{ 0xc02ac352, "phy_ethtool_set_link_ksettings" },
	{ 0xf3444c04, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8e6cbc6c, "phy_disconnect" },
	{ 0x613f2ed1, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf442962, "phy_do_ioctl" },
	{ 0x8011412e, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x4119dbad, "__spi_register_driver" },
	{ 0xbdf75acb, "driver_unregister" },
	{ 0x272b8fc1, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xd532218, "__netdev_alloc_skb" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0x205f3270, "skb_pull" },
	{ 0xd6d2cc3e, "eth_type_trans" },
	{ 0xfc708f7d, "netif_rx" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xeb26e0f6, "skb_dequeue" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "458E69A5B1D3479444DCC45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
