#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qede_rdma_register_driver, "", "");
KSYMTAB_FUNC(qede_rdma_unregister_driver, "", "");

SYMBOL_CRC(qede_rdma_register_driver, 0xe21438c2, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0xa18525f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xff014526, "rps_may_expire_flow" },
	{ 0xea0ca691, "netdev_reset_tc" },
	{ 0x7c398dcf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1637c66e, "__dma_sync_single_for_device" },
	{ 0x5c92b078, "bpf_prog_add" },
	{ 0xf78a83d0, "xdp_rxq_info_unreg" },
	{ 0xf9c8eb8d, "__xdp_rxq_info_reg" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f9aba8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x787bddd6, "devlink_priv" },
	{ 0xd0a019e2, "tcp_gro_complete" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xde74791a, "netif_carrier_on" },
	{ 0xe613ac8f, "netdev_set_num_tc" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5dd3ad22, "alloc_pages_noprof" },
	{ 0x9946be45, "skb_add_rx_frag_netmem" },
	{ 0x9908688, "xdp_master_redirect" },
	{ 0x54a38daa, "__napi_schedule_irqoff" },
	{ 0xcfe67a98, "napi_schedule_prep" },
	{ 0x7ecdf9ff, "napi_disable" },
	{ 0x32aecf0f, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1a43adff, "flow_rule_match_control" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x34fe117a, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3b5406c4, "__tracepoint_xdp_exception" },
	{ 0x3b659e22, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea6738dd, "qed_get_eth_ops" },
	{ 0xc1a57152, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5138de2e, "skb_copy_bits" },
	{ 0x55da9353, "param_ops_uint" },
	{ 0xb1e6699f, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0x63b6faca, "skb_tstamp_tx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xc0c0c5e, "netif_napi_add_weight" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6de8f262, "bpf_warn_invalid_xdp_action" },
	{ 0x732130a6, "unregister_netdev" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x841fd12b, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x58ad554d, "__pci_register_driver" },
	{ 0x60bd9df4, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4cca5956, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xd670867b, "xdp_do_redirect" },
	{ 0xf3444c04, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe7a34a00, "udp_tunnel_nic_ops" },
	{ 0x455f7eca, "flow_rule_match_ipv4_addrs" },
	{ 0xf575c2c3, "__netif_napi_del" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xeba194a2, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xfbfe1de4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0xf2635788, "dev_addr_mod" },
	{ 0x2cdaddd1, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xd6d2cc3e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x905b8ed8, "dma_map_page_attrs" },
	{ 0xe7e7ecfc, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc7197f1, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x29401fc2, "__free_pages" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x8e2360dc, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xa57cca25, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc61c99d5, "xdp_rxq_info_is_reg" },
	{ 0x7179b7d9, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb53a74b3, "flow_rule_match_basic" },
	{ 0xdd8428c5, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xfe2debe8, "softnet_data" },
	{ 0x5d66ba27, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xaf244c4, "ptp_clock_register" },
	{ 0xa5daccda, "netif_set_real_num_tx_queues" },
	{ 0x2e9fae1a, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8e69b4f2, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x834b5cc1, "dma_alloc_attrs" },
	{ 0x101d315f, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0x6daee919, "register_netdev" },
	{ 0xbfe5513a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8465496f, "__SCK__tp_func_xdp_exception" },
	{ 0xcca171e7, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xff4e5322, "flow_rule_match_ports" },
	{ 0x9e52876c, "netif_schedule_queue" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa937c2c4, "flow_rule_match_ipv6_addrs" },
	{ 0xee6110b2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7343156b, "ptp_clock_unregister" },
	{ 0xd5a38196, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd532218, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "08AA15F3FE0350E10D43251");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
