#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe269c7f3, "mdio_i2c_alloc" },
	{ 0x509bf39, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc2509fb5, "__devm_add_action" },
	{ 0x97003204, "device_get_match_data" },
	{ 0x16cb0a7b, "__dev_fwnode" },
	{ 0xb6945432, "fwnode_find_reference" },
	{ 0x533e67fa, "i2c_get_adapter_by_fwnode" },
	{ 0xdab5867e, "device_property_read_u32_array" },
	{ 0x6df0d293, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x865956a6, "sfp_register_socket" },
	{ 0x9fc285f, "gpiod_to_irq" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0xa4778caf, "devm_kasprintf" },
	{ 0x6c988b3f, "devm_request_threaded_irq" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x120f833c, "seq_lseek" },
	{ 0x295b696b, "seq_read" },
	{ 0x5a539e2e, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaab20a5, "__platform_driver_register" },
	{ 0x86d48c4b, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x49cb7578, "get_phy_device" },
	{ 0x511d7693, "phy_device_register" },
	{ 0x581399ab, "sfp_add_phy" },
	{ 0x3c2dceec, "phy_device_remove" },
	{ 0x7c42dc54, "phy_device_free" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x6ce13906, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x471fded5, "gpiod_direction_input" },
	{ 0x87df7c0a, "gpiod_direction_output" },
	{ 0x53ed19ff, "mdiobus_unregister" },
	{ 0x7e82d10c, "mdiobus_free" },
	{ 0x38266474, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xfb4800a6, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x67c3be5, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xbdd43ad4, "single_open" },
	{ 0x154c3652, "seq_printf" },
	{ 0x54c5bbf4, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x31f9da1d, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "73CF3058835A7D847F1F9B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
