#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a660bd8, "rt2x00usb_disable_radio" },
	{ 0xbb6b23db, "rt2x00usb_disconnect" },
	{ 0xcb3b5aa6, "rt2x00usb_suspend" },
	{ 0xdf29b526, "rt2x00usb_resume" },
	{ 0x9850f6ef, "rt2x00usb_initialize" },
	{ 0x968ebe44, "rt2x00usb_uninitialize" },
	{ 0x924899bd, "rt2x00usb_clear_entry" },
	{ 0x94f817c8, "rt2x00usb_watchdog" },
	{ 0x8a5a0ed5, "rt2x00usb_kick_queue" },
	{ 0x58c1710d, "rt2x00usb_flush_queue" },
	{ 0xb6b35f85, "rt2x00mac_tx" },
	{ 0x131c033e, "rt2x00mac_start" },
	{ 0x357acf22, "rt2x00mac_stop" },
	{ 0x759223b, "rt2x00mac_add_interface" },
	{ 0x9af8cf, "rt2x00mac_remove_interface" },
	{ 0xaa7c1647, "rt2x00mac_config" },
	{ 0x143d183b, "rt2x00mac_bss_info_changed" },
	{ 0x70f0e8a6, "rt2x00mac_configure_filter" },
	{ 0x31d2816d, "rt2x00mac_set_tim" },
	{ 0xef39442c, "rt2x00mac_set_key" },
	{ 0x3303ae21, "rt2x00mac_sw_scan_start" },
	{ 0xa1f2c939, "rt2x00mac_sw_scan_complete" },
	{ 0x19082fc, "rt2x00mac_get_stats" },
	{ 0xc129ce90, "rt2x00mac_conf_tx" },
	{ 0x97e8c02e, "rt2x00mac_rfkill_poll" },
	{ 0x6da611ab, "rt2x00mac_flush" },
	{ 0x39a664d2, "rt2x00mac_set_antenna" },
	{ 0x16cd16a3, "rt2x00mac_get_antenna" },
	{ 0x92d60bd8, "rt2x00mac_get_ringparam" },
	{ 0xec1cd128, "rt2x00mac_tx_frames_pending" },
	{ 0x793f8610, "ieee80211_emulate_add_chanctx" },
	{ 0xac99ab7c, "ieee80211_emulate_remove_chanctx" },
	{ 0x9a163304, "ieee80211_emulate_change_chanctx" },
	{ 0xebccc108, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd336d420, "ieee80211_handle_wake_tx_queue" },
	{ 0x21a87573, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb8c78587, "usb_register_driver" },
	{ 0x8ca6768d, "rt2x00usb_probe" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc279b09e, "skb_trim" },
	{ 0x85ab7165, "consume_skb" },
	{ 0x8be598b7, "usb_submit_urb" },
	{ 0xc5418335, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc27f71f, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6d62de09, "rt2x00usb_vendor_request_buff" },
	{ 0x38adc64b, "rt2x00usb_vendor_request" },
	{ 0xa2eaa6e2, "rt2x00lib_set_mac_address" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
