#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x38adc64b, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x0c27f71f, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x6d62de09, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xc5ec2450, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x9b3a09d7, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x8a5a0ed5, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x58c1710d, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x94f817c8, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x2a660bd8, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x924899bd, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x9850f6ef, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x968ebe44, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x8ca6768d, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0xbb6b23db, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xcb3b5aa6, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xdf29b526, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd6e1acb4, "usb_control_msg" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x925fc8e5, "usb_anchor_urb" },
	{ 0x8be598b7, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ff81e2, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xec7cbdd6, "usb_alloc_urb" },
	{ 0xa65ffed3, "usb_free_urb" },
	{ 0x3833b9c4, "rt2x00lib_dmastart" },
	{ 0x37256cb5, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb90727c2, "__skb_pad" },
	{ 0x33fec36, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb25469b2, "rt2x00queue_for_each_entry" },
	{ 0x1e3ab090, "usb_kill_urb" },
	{ 0xa94aeb46, "rt2x00queue_get_entry" },
	{ 0xd71c3e35, "rt2x00queue_stop_queue" },
	{ 0x6abbb74b, "rt2x00queue_flush_queue" },
	{ 0x333b90a9, "rt2x00queue_start_queue" },
	{ 0x946ddb2f, "rt2x00lib_txdone_noinfo" },
	{ 0xfa95f06e, "rt2x00lib_rxdone" },
	{ 0xf5a313eb, "rt2x00lib_suspend" },
	{ 0xec5924a, "rt2x00lib_resume" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0xfaa5347c, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x751fce3e, "rt2x00lib_remove_dev" },
	{ 0x5fe651f2, "ieee80211_free_hw" },
	{ 0x107542f5, "usb_put_dev" },
	{ 0x42552f00, "usb_get_dev" },
	{ 0xf83160bb, "usb_reset_device" },
	{ 0x4ce0effc, "ieee80211_alloc_hw_nm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6a557655, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D2A2A50C33680A6EF957E9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
