#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0xc4d2f24e, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x589546de, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x7f570ca9, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x33858ea6, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0x91508e59, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0xe493328f, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x991fa0f7, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x3d8324a4, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x397e15fa, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xd2f81eeb, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0x59c1c138, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0x3a14e4aa, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0xf9e69738, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0x7f01c5fc, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x89174818, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x9a0ba101, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0xbbcf1c71, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x79f27550, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x0ce2aea3, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0xc20ef54a, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x6ce73803, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x979a1b93, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xb43ad9e0, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x4f767099, "");
SYMBOL_CRC(ufshcd_system_resume, 0x2c23a8af, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xce8a9f6f, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0x6eda937b, "");
SYMBOL_CRC(ufshcd_remove, 0xcdab6a2f, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x8bccf684, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x953a44ef, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0xeb5f82aa, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xe33d2658, "");
SYMBOL_CRC(ufshcd_init, 0x21e86bad, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x4b8eb7e5, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x5cc7e8a1, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0xfea27d59, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x8413a08f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0x0a3970a9, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0xc9605327, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x3a420969, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0x2a98e533, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x0e0f754e, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x67adcc53, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x0e731133, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xec214995, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x70f3df00, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x5f5ca39f, "device_remove_file" },
	{ 0xaf3d6564, "dma_map_sg_attrs" },
	{ 0x41431619, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0xbfc8c38, "scsi_dma_map" },
	{ 0x7e9690c7, "scsi_print_sense_hdr" },
	{ 0xa3b262fe, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x768d618c, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x25c1fe9e, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f0530e4, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x6c988b3f, "devm_request_threaded_irq" },
	{ 0x29bb8e0, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0xde5b5543, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x1337b37e, "scsi_autopm_put_device" },
	{ 0x4a9efab7, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x511ba76c, "bsg_remove_queue" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0xa618d60b, "bsg_job_done" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ace0bc, "dmam_alloc_attrs" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0x68b650f9, "scsi_remove_host" },
	{ 0x6532bf23, "bpf_trace_run6" },
	{ 0x96450ea5, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0xee472535, "blk_pm_runtime_init" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x68160f8, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa9aee17e, "sysfs_remove_groups" },
	{ 0xa6ef12d2, "hwmon_notify_event" },
	{ 0xce6ff204, "pm_runtime_get_if_active" },
	{ 0x6ab619ba, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xbfc97bdc, "up" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x5cf411d1, "devfreq_recommended_opp" },
	{ 0x219ada62, "sysfs_create_groups" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb46c27b, "scsi_dma_unmap" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x120f833c, "seq_lseek" },
	{ 0xad7ab067, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3b150389, "bpf_trace_run2" },
	{ 0x3f624dcb, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x2ca860c7, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xae440e4, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd78db37d, "blk_mq_alloc_tag_set" },
	{ 0x5a0b4e9c, "scsi_device_set_state" },
	{ 0x9c2b8eed, "devfreq_add_device" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe2b39aa7, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xa5417433, "blk_crypto_register" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf2a97b80, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x311f3829, "put_device" },
	{ 0x5a9440fe, "blk_mq_unquiesce_tagset" },
	{ 0x21f65c46, "dev_pm_opp_put" },
	{ 0xbc3d9d69, "blk_mq_free_request" },
	{ 0xdab5867e, "device_property_read_u32_array" },
	{ 0xacb9c2c9, "devm_regulator_get" },
	{ 0xb3d329d3, "dev_pm_opp_get_freq_indexed" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xde629d7f, "scsi_device_put" },
	{ 0x6669af7f, "device_create_file" },
	{ 0xdc885d3f, "blk_mq_quiesce_tagset" },
	{ 0x392dfae9, "debugfs_attr_read" },
	{ 0xde09e6ee, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xbdfc5ab1, "devm_kfree" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x54ecb36d, "devfreq_remove_device" },
	{ 0x9c105292, "scsi_host_put" },
	{ 0xeed7fd81, "up_write" },
	{ 0xaf802244, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x72b7ebbd, "simple_attr_release" },
	{ 0xfb4800a6, "hwmon_device_register_with_info" },
	{ 0xd2273ab6, "dev_pm_opp_add_dynamic" },
	{ 0x32a460e8, "down" },
	{ 0x7dfe340b, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa74c28b3, "dev_pm_opp_remove" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6144c096, "cpu_latency_qos_update_request" },
	{ 0x73502bc1, "sdev_prefix_printk" },
	{ 0xc3bbf243, "scsi_scan_host" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0x123dc85c, "device_link_remove" },
	{ 0x86be0e24, "blk_mq_alloc_request" },
	{ 0xbdf75acb, "driver_unregister" },
	{ 0x52419158, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb47e6459, "blk_put_queue" },
	{ 0xdd95d013, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa01b5e1e, "dev_pm_opp_set_opp" },
	{ 0x654434cf, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdf86cd06, "regulator_count_voltages" },
	{ 0x5162fb4d, "scsi_is_host_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad10b1a7, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9f2e9470, "bpf_trace_run10" },
	{ 0x7ac9a61f, "scsi_device_quiesce" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x982c2b05, "scsi_autopm_get_device" },
	{ 0xea87c53, "dma_set_coherent_mask" },
	{ 0x4aa6fe1c, "scsi_print_command" },
	{ 0x295b696b, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x134a735a, "__scsi_register_driver" },
	{ 0x5841a3c1, "pm_runtime_forbid" },
	{ 0xbf1673ac, "param_set_uint_minmax" },
	{ 0xde72d1d8, "blk_mq_freeze_queue" },
	{ 0x74c4aa02, "pm_runtime_allow" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0xbaf61453, "__pm_runtime_resume" },
	{ 0x752b3867, "devfreq_suspend_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21a87573, "param_ops_bool" },
	{ 0x7437a8a5, "blk_mq_destroy_queue" },
	{ 0xaca71f9e, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7ae39da8, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154c3652, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x84fbaaf5, "devm_blk_crypto_profile_init" },
	{ 0x31f9da1d, "hwmon_device_unregister" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x34987b1a, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xa22bcdb, "blk_mq_tagset_busy_iter" },
	{ 0x1593d90a, "scsi_done" },
	{ 0x5a539e2e, "single_release" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xcbe631e5, "dma_set_mask" },
	{ 0x9a27b045, "sbitmap_weight" },
	{ 0xeddbef7a, "regulator_disable" },
	{ 0x55ef8630, "dev_err_probe" },
	{ 0x3997e9d5, "dma_unmap_sg_attrs" },
	{ 0xc2509fb5, "__devm_add_action" },
	{ 0x1cfd42c7, "scsi_remove_device" },
	{ 0xa8104a1a, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbdd43ad4, "single_open" },
	{ 0xc09bbe7e, "scsi_host_alloc" },
	{ 0xac8e0e3a, "__scsi_add_device" },
	{ 0xb53ac216, "devfreq_resume_device" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2a0ecc9e, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cc28fc2, "scsi_change_queue_depth" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "C790548C8961D982E244F0D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
