#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0x31722475, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0xfdd7c34e, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0x73966bd3, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x7b91ecdc, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0x85b34f6a, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xc112187c, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xa9caefb4, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x5e008b1f, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x42552f00, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x107542f5, "_gpl");
SYMBOL_CRC(usb_get_intf, 0xa2d11dbd, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xbaaec645, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x62a3f396, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0xab547c5d, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x5517714b, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x0f2cf367, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xfdce0f34, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x774cb1af, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x287834a8, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0xf14d22ef, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0xfbcab5db, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0x7b1771bd, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x051e8e40, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x2c31370d, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x9359871d, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x77f757f0, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x65c6dd48, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0xa33a808d, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x05859b4d, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x1c52309d, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0xd522b3b0, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x70538bf3, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xf83160bb, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x15dbadbd, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x94e28680, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0xc4b656e7, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xf6e932ea, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xc8974388, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x18b1196a, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0xd49c2327, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xcea4d097, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x9800ef3f, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0x868cfb9d, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x8bb7fd32, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x5c822300, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x56926a33, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x96bb9cf0, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x74206ee7, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x04bb9cf1, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x5ac5ab8d, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x16c230d5, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x86d1c6f2, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0x8f7adadd, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x84f5f35c, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x33f00557, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x566622ca, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x2141c0ce, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0x5005d8ee, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x34d84911, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0xe039577e, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xd919b404, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x01ca4238, "_gpl");
SYMBOL_CRC(usb_mon_register, 0xe1ad6e84, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x0b41fde6, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xec7cbdd6, "_gpl");
SYMBOL_CRC(usb_free_urb, 0xa65ffed3, "_gpl");
SYMBOL_CRC(usb_get_urb, 0x3b8de01d, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x925fc8e5, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0x06ff81e2, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0xf55bfcb5, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x7d483f8c, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x8be598b7, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x170577b6, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x1e3ab090, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x9f0da603, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xc31f49ee, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xe2324e12, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x912a3adb, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x2ecd92e6, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0xcac6ddb1, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0xf051296b, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x09a68dfe, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x5a5cc887, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0xd18f5831, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x41ea7530, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x412ea31a, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x6d792fb6, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xd6e1acb4, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x4cb453fc, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x0dd2e085, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0x62442454, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0xedf040c7, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xed82fa1c, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x99ad1424, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x4b96e5ab, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x2a5449cc, "_gpl");
SYMBOL_CRC(usb_string, 0x264369be, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xeed3fa34, "_gpl");
SYMBOL_CRC(usb_get_status, 0xd6ed0ee6, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x049ef6ec, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x4e748bbe, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x2439fe26, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x6b006f98, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x94d4728e, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0xb7430f3f, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xb988f25b, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x9a90eb0c, "");
SYMBOL_CRC(usb_store_new_id, 0x2055d88b, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x7f16e2af, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0xbb148466, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0xcee6fc09, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xf40c687f, "_gpl");
SYMBOL_CRC(usb_match_id, 0x29ddcd19, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x29609798, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x785255be, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0xfda16d55, "_gpl");
SYMBOL_CRC(usb_register_driver, 0xb8c78587, "_gpl");
SYMBOL_CRC(usb_deregister, 0xc5418335, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x9cb2b23a, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x6a7829bd, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x07f75d9b, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x90f400bd, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0xae166ce1, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x80770a21, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0xa8b5984b, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x9493708e, "_gpl");
SYMBOL_CRC(usb_register_dev, 0x04b16380, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x83cd84c0, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x1d96155f, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x8f825d0c, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x56b50771, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0xad2945c7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x4c6f979f, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x963ad50e, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x70acd964, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x8b3b1bf6, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0xdee10e30, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x332ab000, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x0d16fc78, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x0f58fe8c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x8187e71f, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x556b1a97, "device_create" },
	{ 0xbc58fc35, "noop_llseek" },
	{ 0xaaa8c4c8, "sysfs_merge_group" },
	{ 0x62894d24, "phy_notify_disconnect" },
	{ 0x8b2867e5, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x60d32562, "kernfs_find_and_get_ns" },
	{ 0x834b5cc1, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xd903e4ba, "phy_power_on" },
	{ 0xdf07fcdf, "no_seek_end_llseek" },
	{ 0xbdf75acb, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x294db324, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x9818ad24, "sysfs_remove_file_from_group" },
	{ 0x65d5dce7, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x726b5072, "device_register" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xdd95d013, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x2822fbcc, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x257f912, "system_bh_highpri_wq" },
	{ 0x4cedd79d, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe211ddc5, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x61d46470, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x190a2bf6, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3014dc92, "pm_runtime_no_callbacks" },
	{ 0xca409670, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd3af5fae, "devm_gen_pool_create" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x3c6300ec, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3b985ea, "pv_ops" },
	{ 0xa6c127bb, "sysfs_remove_group" },
	{ 0xb553f388, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb6945432, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd2d5b8d8, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5841a3c1, "pm_runtime_forbid" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x7c398dcf, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x74c4aa02, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xbaf61453, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x16fed21, "acpi_fetch_acpi_dev" },
	{ 0x21a87573, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x2072f411, "kernfs_put" },
	{ 0x6e129203, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4218beef, "inode_set_ctime_current" },
	{ 0xd63e1f6, "__register_chrdev" },
	{ 0x84ed9890, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x40e535db, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x63956241, "usb_dynids_lock" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x914a2155, "kobject_uevent" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x857db782, "device_pm_wait_for_dev" },
	{ 0x541387d3, "pci_disable_device" },
	{ 0x2e61011e, "kill_pid_usb_asyncio" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xd420ffcc, "dma_mmap_attrs" },
	{ 0xd4c500, "usb_decode_interval" },
	{ 0x73f00fea, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3997e9d5, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x3a1e9188, "dev_pm_qos_add_request" },
	{ 0x70be3652, "pm_runtime_barrier" },
	{ 0x2c7a8392, "__pm_runtime_suspend" },
	{ 0xcee1fa74, "usb_debug_root" },
	{ 0x90c1f7af, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xcb4d13c0, "set_primary_fwnode" },
	{ 0xfb40bd0a, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x443d5844, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1be36be4, "phy_calibrate" },
	{ 0x13749d25, "param_ops_int" },
	{ 0xfe30f81c, "_dev_printk" },
	{ 0x3e3012c8, "dev_pm_qos_expose_flags" },
	{ 0xc5393c74, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0xe5cd292, "dev_pm_qos_remove_request" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x2a0ecc9e, "device_link_add" },
	{ 0x50019a7a, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xbb53856b, "up_read" },
	{ 0x3ddd8dba, "driver_register" },
	{ 0x7dce2331, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x34d3fe86, "class_register" },
	{ 0x70f3df00, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xab6b606c, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x16cb0a7b, "__dev_fwnode" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x6b30ceea, "cdev_del" },
	{ 0x5f5ca39f, "device_remove_file" },
	{ 0x1314f8e1, "bus_register" },
	{ 0xaf3d6564, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcc76aad3, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xdecb0fb9, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x56a756b3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0xa0a94936, "device_set_wakeup_enable" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x38c3a347, "is_acpi_device_node" },
	{ 0x84324a55, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x557d8b01, "device_set_of_node_from_dev" },
	{ 0x55da9353, "param_ops_uint" },
	{ 0xf59c0db8, "dma_pool_create" },
	{ 0x9170f1d6, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf30fdd1f, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x57a6db63, "devm_memremap" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa198ac0d, "pci_alloc_irq_vectors" },
	{ 0xf025f71e, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ace0bc, "dmam_alloc_attrs" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7020e682, "driver_remove_file" },
	{ 0x6259b1f2, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0xd36f76d, "driver_attach" },
	{ 0x9a0a905b, "device_unregister" },
	{ 0x96450ea5, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7dcb9ba2, "gen_pool_dma_alloc_align" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x249844ab, "pci_get_device" },
	{ 0x841fd12b, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xa9dd41d7, "sysfs_unbreak_active_protection" },
	{ 0xb27860e0, "pci_dev_run_wake" },
	{ 0xc5aa5b9e, "devm_ioremap" },
	{ 0xc17996c0, "pci_prepare_to_sleep" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xec3228ba, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x91007428, "component_del" },
	{ 0xa61b5219, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c283d09, "kobject_get_path" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x5bc64c91, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe432e6f2, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x54f50500, "pci_irq_vector" },
	{ 0x2ca860c7, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6c0d6521, "kernfs_notify" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x384fa9b3, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5de3c1c3, "__put_cred" },
	{ 0x79e93a66, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0x9e52a566, "gen_pool_dma_alloc" },
	{ 0x6dd5eb2c, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe2b39aa7, "__pm_runtime_set_status" },
	{ 0x905b8ed8, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xfa476a72, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x458095a0, "pm_wakeup_dev_event" },
	{ 0x7214ad89, "device_reprobe" },
	{ 0xdf0be456, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0x4fca0ded, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x525dd303, "debugfs_lookup_and_remove" },
	{ 0x311f3829, "put_device" },
	{ 0x39bd801f, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x2fcd87d5, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x7f0470e8, "phy_exit" },
	{ 0x6339d027, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8896bdc, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7b4c5e7f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5935d03f, "device_wakeup_disable" },
	{ 0xd12975cc, "compat_ptr_ioctl" },
	{ 0x2b600de8, "cdev_add" },
	{ 0x6669af7f, "device_create_file" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc4204a91, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x1de53f65, "sysfs_update_group" },
	{ 0x4917cf40, "sysfs_unmerge_group" },
	{ 0x612772f3, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xce39d69a, "device_wakeup_enable" },
	{ 0xeed7fd81, "up_write" },
	{ 0x910bea23, "bus_find_device" },
	{ 0xaf802244, "device_add" },
	{ 0x8e5f7c31, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "334DB1486578D56EDBA7080");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
