#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_iowrite64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread8, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread16, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread32, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioread64, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_do_io_rw, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_setup_barmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_range_intersect_range, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x8a3ec3c9, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x48e743e2, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x19de8736, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0x2dc56ff5, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xde38fabb, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x7cedec38, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x0028f41f, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x17026a5d, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x0f7c689e, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x4bd74f9e, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x1e4651eb, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0xb0f286f8, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x0c219078, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0x93fc5c6a, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0xa301e2fe, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0xd5e11aac, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0x7d7ff646, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0x4163613d, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0xcc8bb516, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite8, 0x86f21e52, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite16, 0x3e388762, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite32, 0x6959136e, "_gpl");
SYMBOL_CRC(vfio_pci_core_iowrite64, 0x762e9b0b, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread8, 0x5a662246, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread16, 0x6a04ea80, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread32, 0x31d3a5b0, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioread64, 0xca3a2e37, "_gpl");
SYMBOL_CRC(vfio_pci_core_do_io_rw, 0xb401d574, "_gpl");
SYMBOL_CRC(vfio_pci_core_setup_barmap, 0x65961f96, "_gpl");
SYMBOL_CRC(vfio_pci_core_range_intersect_range, 0xe850ca1f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb8528f, "pci_probe_reset_slot" },
	{ 0xea435856, "pci_set_power_state" },
	{ 0x54f50500, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbe0da460, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x848d372e, "iowrite8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0xfff89530, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5240cc1a, "pci_user_write_config_word" },
	{ 0x6339d027, "bus_register_notifier" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0xf9092cdd, "vfio_file_is_group" },
	{ 0x20b6722d, "pci_msix_can_alloc_dyn" },
	{ 0xdac53263, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xeecf556c, "pci_clear_master" },
	{ 0xf2ea4311, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x3ee6430c, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xcbf942c0, "pci_write_vpd" },
	{ 0x3292b850, "vfio_virqfd_enable" },
	{ 0xb339f3af, "vga_client_register" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb49d0f79, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x6b6e17f3, "aperture_remove_conflicting_pci_devices" },
	{ 0x525bce34, "vfio_unregister_group_dev" },
	{ 0x52adc1d5, "pci_map_rom" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x557c0df5, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x306471a5, "pci_iounmap" },
	{ 0x17ee845e, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0x61139989, "pcie_get_mps" },
	{ 0xfd6d2997, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xeddd417, "down_read" },
	{ 0x24f37a6a, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x8f39bb63, "pci_dev_driver" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xa45ceb67, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0xd2d5b8d8, "_dev_notice" },
	{ 0x5841a3c1, "pm_runtime_forbid" },
	{ 0x74c4aa02, "pm_runtime_allow" },
	{ 0x6d92bee3, "pci_reset_bus" },
	{ 0xbaf61453, "__pm_runtime_resume" },
	{ 0x548431f9, "vfio_register_group_dev" },
	{ 0x4caed91, "vfio_assign_device_set" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x88439512, "pci_user_read_config_byte" },
	{ 0x576be08a, "pci_try_reset_function" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x6349607b, "pci_get_class" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xc55bc782, "pci_user_write_config_dword" },
	{ 0x6272756a, "pcie_capability_read_dword" },
	{ 0xbce0e021, "pci_load_and_free_saved_state" },
	{ 0xbd626075, "pci_disable_sriov" },
	{ 0x49959807, "vfio_device_set_open_count" },
	{ 0x541387d3, "pci_disable_device" },
	{ 0x2aa4491e, "pci_match_id" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x2b8bab8e, "pci_check_and_unmask_intx" },
	{ 0xeff24440, "pcie_set_readrq" },
	{ 0xb6564fb7, "pci_walk_bus" },
	{ 0x766dac87, "pci_msix_alloc_irq_at" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x47a29bf3, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xdf8b2479, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x241b4348, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xe3d65826, "vga_set_legacy_decoding" },
	{ 0x88dbceae, "vmf_insert_pfn_pmd" },
	{ 0x337ccd27, "vmf_insert_pfn_pud" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x99cc1c0d, "pci_dev_unlock" },
	{ 0x9fef284a, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x50019a7a, "pci_free_irq_vectors" },
	{ 0xb751b674, "pci_enable_sriov" },
	{ 0xbb53856b, "up_read" },
	{ 0x70f3df00, "__pm_runtime_idle" },
	{ 0x5969c3d7, "vfio_virqfd_flush_thread" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x12973549, "pci_bus_type" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x56a756b3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x1ab6c879, "vmf_insert_pfn" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc1dd14e, "pci_read_vpd" },
	{ 0x9170f1d6, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc04fc3e8, "pci_request_selected_regions" },
	{ 0xa22113b9, "pci_release_selected_regions" },
	{ 0x10920b0d, "pci_user_write_config_byte" },
	{ 0xf30fdd1f, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc8a99863, "pci_bus_max_busnr" },
	{ 0x7db05ceb, "pci_check_and_mask_intx" },
	{ 0x1be04d60, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa198ac0d, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0x42c58940, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd2771447, "pci_dev_put" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xc53037e8, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x28217cd9, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4b3f850, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x60bd9df4, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7cdb91c5, "unmap_mapping_range" },
	{ 0x7be12331, "pci_user_read_config_dword" },
	{ 0x37a0cba, "kfree" },
	{ 0xc05cbb8d, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x760419f4, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "vfio");


MODULE_INFO(srcversion, "26336A6ACFC1AA66C22314D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
