#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xb875949c, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x3395ad27, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xc4159363, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x4d525573, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x92f2f5d6, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xb005464b, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xc1185194, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x8d537936, "");
SYMBOL_CRC(ip_vs_conn_put, 0xd3757c0b, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x4ebd0d6e, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x3352f2ff, "");
SYMBOL_CRC(register_ip_vs_app, 0x63b304a4, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xfd06272e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0xa26bdf7d, "");
SYMBOL_CRC(ip_vs_proto_get, 0x4c0347db, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xbb013388, "");
SYMBOL_CRC(register_ip_vs_pe, 0x6347ea93, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x0241d323, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x76f8a9fa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6c45438a, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xdf184c4b, "ip_route_me_harder" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0xf29309db, "kmem_cache_free" },
	{ 0xed49abc, "set_cpus_allowed_ptr" },
	{ 0xfb3dce48, "seq_putc" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x40f51c5d, "proc_doulongvec_minmax" },
	{ 0x761a28ad, "nf_ct_expect_alloc" },
	{ 0x188ea9da, "skb_ensure_writable" },
	{ 0x97601640, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb594ee35, "ip_mc_join_group" },
	{ 0x663f1562, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fc531f, "ns_capable" },
	{ 0xd911e44d, "nf_unregister_net_hooks" },
	{ 0x61023980, "inet_select_addr" },
	{ 0xab54152f, "unregister_pernet_device" },
	{ 0x97ecdd5b, "lock_sock_nested" },
	{ 0x334ce49, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x53f60806, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x61141bee, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb2477156, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xefc66e12, "kernel_connect" },
	{ 0x9fb0976a, "skb_checksum" },
	{ 0x8179945b, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x672d0b6b, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd5a38196, "__pskb_pull_tail" },
	{ 0xa264fa65, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xfe40e12d, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc279b09e, "skb_trim" },
	{ 0x6cca85a7, "nf_hook_slow" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x763f309b, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe56d2534, "nf_ct_deliver_cached_events" },
	{ 0xd29a1cba, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2a4ad7c8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb7f6d549, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x86163f1f, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xbfd4bb51, "skb_set_owner_w" },
	{ 0x9383a4da, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2699e3d8, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7320b1b7, "init_user_ns" },
	{ 0x78b11a7, "nf_ct_expect_init" },
	{ 0x411726bc, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b73ba3f, "remove_proc_entry" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x154c3652, "seq_printf" },
	{ 0x8f0b297f, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x553c41e4, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2659913c, "ipv4_update_pmtu" },
	{ 0x462b0ffc, "nf_defrag_ipv6_enable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xfb15c664, "dst_release" },
	{ 0xad5732ec, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0xe06b8f58, "ip_local_out" },
	{ 0x171c0ff9, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x9de39898, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x4f56791d, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xca82be8d, "kernel_sendmsg" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb710ff15, "nf_ct_netns_put" },
	{ 0xbf7688fd, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x996bdf51, "kmem_cache_destroy" },
	{ 0x31b008f3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0x8034cb0a, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x29debd1e, "nf_conntrack_find_get" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0x9cbe7b55, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6d101139, "icmp6_send" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5138de2e, "skb_copy_bits" },
	{ 0xfc267607, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd3d97927, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xbef9dda6, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x7d7aa4b9, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdbf3044, "nf_register_sockopt" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf7f5490b, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4721daf0, "kernel_bind" },
	{ 0xb5e7d438, "set_user_nice" },
	{ 0xf272e0c5, "genlmsg_put" },
	{ 0x1a5cb165, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x8ab8f0b5, "ip6_output" },
	{ 0x5d15dc9f, "ip6_route_me_harder" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd0e4a9bc, "__module_get" },
	{ 0xc213b889, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf848b370, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbb6c0733, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9cd05503, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8322e4e6, "pskb_expand_head" },
	{ 0xa665ec84, "register_pernet_subsys" },
	{ 0x87c6f55c, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xa394f75c, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x77f973f6, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x808f9864, "nf_register_net_hooks" },
	{ 0x33b2bb89, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x47fbbaa6, "__alloc_skb" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x991a334e, "ipv6_sock_mc_join" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x53df6f15, "ipv6_dev_get_saddr" },
	{ 0xfea3e844, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe8ffbc41, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f69f111, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x2c56b764, "netlink_unicast" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "A518A2F328FC69D168FA835");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
