#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0xd35f780c, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0x266a893d, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xc373ec68, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0xd6d49e28, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0x7f6161e6, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0x389efc0d, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xd25efa84, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0xeeece2dd, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x12c960f6, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0x0f907277, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x2b874319, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x8bb2cb69, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x33e2b78c, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xb471c3b1, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0xcde7e92a, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x743c78af, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0x668483c5, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x1b4148c9, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0x7a5e3ec0, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0xb0ab38dc, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0x2820585c, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xcf1d5e11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd741d94f, "snd_hda_sync_vmaster_hook" },
	{ 0xa6a473db, "snd_hda_apply_fixup" },
	{ 0xe1ffa3b6, "snd_hda_enum_helper_info" },
	{ 0x3ea50925, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x3cb901e7, "snd_hdac_codec_read" },
	{ 0x401057c6, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x1c1b4bdd, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0x7a3b1ed0, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x42ad4f04, "snd_hdac_regmap_sync" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0x4be40605, "snd_hda_apply_verbs" },
	{ 0x7949b526, "snd_hda_codec_amp_update" },
	{ 0x411b8aa6, "snd_hda_add_new_ctls" },
	{ 0x29e7b1bd, "snd_hda_get_connections" },
	{ 0xccef1cea, "snd_hda_codec_amp_init_stereo" },
	{ 0x47ab3983, "snd_hda_set_vmaster_tlv" },
	{ 0x4d2fc617, "hda_get_autocfg_input_label" },
	{ 0xb920f992, "query_amp_caps" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0xbc460be2, "snd_hda_mixer_amp_volume_info" },
	{ 0xa9a43243, "snd_hdac_regmap_read_raw" },
	{ 0x64cbcb71, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x73edb987, "snd_hda_codec_setup_stream" },
	{ 0xce98d47a, "snd_hda_mixer_amp_switch_info" },
	{ 0x2735ef52, "hda_codec_driver_unregister" },
	{ 0x546a1f0e, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x77cfbd55, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x46c6ca1b, "snd_hda_jack_tbl_get_mst" },
	{ 0xf7ed8d44, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0x39a923cb, "snd_hda_add_vmaster_hook" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c4d42b2, "led_classdev_unregister" },
	{ 0xa249112f, "snd_hda_codec_pcm_new" },
	{ 0x49b0e003, "__snd_hda_codec_cleanup_stream" },
	{ 0xba905f95, "snd_ctl_sync_vmaster" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xb1809b73, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabd2396d, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd20e86e5, "snd_hda_add_imux_item" },
	{ 0xf4456d2, "snd_hda_correct_pin_ctl" },
	{ 0xe57ae759, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x1dacaa63, "snd_hda_create_dig_out_ctls" },
	{ 0x94eefe26, "snd_hda_multi_out_dig_close" },
	{ 0x6666fd32, "snd_hda_get_conn_index" },
	{ 0xffdc96a5, "snd_hda_multi_out_analog_open" },
	{ 0xb2c248fd, "snd_hda_get_bool_hint" },
	{ 0x4a3af496, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x936ffc32, "snd_hda_find_mixer_ctl" },
	{ 0xba89f367, "snd_hda_get_int_hint" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x15bac26e, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0xbb123a9e, "snd_hda_parse_pin_defcfg" },
	{ 0xf3d7382d, "snd_hda_codec_amp_init" },
	{ 0x32ca6e1c, "snd_hda_create_spdif_in_ctls" },
	{ 0x231a48a9, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7a73c7d7, "snd_hda_multi_out_analog_cleanup" },
	{ 0xdd630bc2, "snd_hda_multi_out_analog_prepare" },
	{ 0x84e53889, "snd_ctl_boolean_stereo_info" },
	{ 0x12f5732b, "snd_hda_get_conn_list" },
	{ 0x3c360df3, "snd_hda_mixer_amp_switch_get" },
	{ 0x40541ac6, "snd_hda_codec_set_pin_target" },
	{ 0xacbd620, "led_classdev_register_ext" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe42e1b9b, "snd_hda_attach_beep_device" },
	{ 0x728cacef, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe7d6fbeb, "snd_hdac_regmap_write_raw" },
	{ 0x4ee8d26b, "snd_hda_mixer_amp_volume_get" },
	{ 0x68bea36d, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x33fec36, "_dev_warn" },
	{ 0xb1189000, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x32ce885e, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb81c4109, "snd_hda_jack_unsol_event" },
	{ 0x9de8102, "snd_hda_check_amp_list_power" },
	{ 0x676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf8dceae6, "snd_hda_mixer_amp_tlv" },
	{ 0x9f3708e8, "snd_hda_jack_add_kctls" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0x52fee680, "__snd_hda_add_vmaster" },
	{ 0xeeeb8ede, "snd_hda_codec_amp_stereo" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
