#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x1ad5e5ff, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xe632c21c, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0x14427b48, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x96cc4f9d, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x6b1dc36a, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x9975606d, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x47963a48, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x51a1577a, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0x884e0d6d, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x3e65490e, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x6b705ce3, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x2eb63ffb, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0x68ecbdf7, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0xe93f2c6e, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x0a22abb4, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0x8dc722e1, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xa53f2004, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0xf69727d7, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xe21b97f4, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0x78b5435a, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0xe2c96927, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xa5d69db2, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x1717eacb, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0xd32a0c8a, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0x1e0bdf8e, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x90ecd41c, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xf704ce33, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x8a9d6adc, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0xb690cedf, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x800285af, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0x9bd388d4, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xaa56046b, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xf42a98bc, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x24ddeadd, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x7c77d7d0, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x573e8de1, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x61cb46fd, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0xb0c624b3, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0x3ab801c6, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0xc0aa9218, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xf4d15fa1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x3acb32a4, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0x4b26f202, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0x0a2ea9e6, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0xcbdca555, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xc2b331cb, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xa0ccff87, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0x65675457, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xd71da1cd, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x4fb9e780, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x1014f011, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xaf03d727, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x6043eeb1, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x4e4f40b4, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0xeda552d0, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0xdcbbe34f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xd3f4ab88, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0x795e1fec, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0xe5a558ac, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0x11b5aee3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x71e42ccf, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0x813f93ab, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0x5eec0e68, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0xf10352bd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0xa3e46a24, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x5d1a0cd5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0xfa3d7155, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xcc0d6fa1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0x2934711a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x65ae0d6e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x52b9d962, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0x96c388ba, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xe800bb24, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x7a3b3bc5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x1e8e4eb8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x2f50ba75, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0x576b50d1, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xa3dc3674, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x3efdfcba, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x1c7fb256, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0x6511e641, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x96ac87c4, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x465aa170, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x48e5023e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0xe48a7055, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x5e991490, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x76edfb4c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0xea17d6a5, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0x8453ea08, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x2c995ce8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xa4beee39, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x4b4e7aef, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0x52a555d3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x86637e77, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x2b0016c0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0xba6faf10, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0xbd3d4bb8, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0x337ff954, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0x91361067, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0xa3c8568f, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0xfd0de15a, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x01d36367, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0xd710239f, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0x4a3cfe9a, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0x3489dc48, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0x888768ab, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0x64cbba16, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x2c54ba95, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0x15b9221a, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x1c50d0b1, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0xd722046d, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xafac9619, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x08f36ad9, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xf5cac472, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x0ee05e92, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x94d0b3e5, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x1ceca921, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x7f1f55dc, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xf5e7208c, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x2eef6859, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0x2e8560f4, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x66096e8b, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x5462df4d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0x218dd69d, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0x3ac96ede, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x2ae53399, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xb8972148, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0xfd59a5a4, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x7acb54f5, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0xb6156ace, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0xc526e36a, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x97592775, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0x5c376c14, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0xa6abf239, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x4d525522, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0x7006b14b, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x82f9778b, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x2640cb22, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x54a17461, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x6035390d, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0x5f292d4e, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0x678ce260, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x5ec54021, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0x8d511235, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0xaaa52cba, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0xd71c43fb, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x031ad25b, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x5f9d977a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xb42d4907, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0x4e667891, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x6b524e05, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x1e3f5402, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x1b733f83, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0xd2853a3e, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x38858ee6, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x8ec17153, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0x9d31117a, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x395a13c1, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0xfbe69808, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0x25a1f1ad, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x7393cfdf, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0xcab695a5, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x5294abda, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xeb44d97e, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0x742f4237, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0x70940f9a, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xf798c084, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0x7489bb69, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0x9222b668, "_gpl");
SYMBOL_CRC(widget_in_list, 0x42965724, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0xac1427f9, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0x0255cb2e, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x106f164f, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x8cd5a124, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x82b1c953, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0xe7bf4ea3, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0x7960d0cc, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x33840adb, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0x32c33695, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x953c548b, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0x865d0845, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0xea890ae2, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x98482901, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x73e892df, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0x0ab2161a, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x5c42da50, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x84848bc5, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x6f846969, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xc87b0b77, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0xeec502d2, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x48564887, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xec46cdfe, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xbf15f32b, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0xd7a9725f, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x9bd0afc5, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0x683e7872, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0x201bef7e, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xcbbb54a0, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0x37152a0f, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x56957567, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x63412d6d, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x583e64be, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0x343ed32d, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x3365b951, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x59900a3e, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x99aa3e66, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x155f0d95, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0xf9c3e945, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0x3643d5d8, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0x872cb53a, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0x60216cce, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0xcba1df2e, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x8bcf65d7, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0x2c8900dd, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0x0e5eacf9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa359517c, "snd_pcm_stream_unlock_irq" },
	{ 0x458095a0, "pm_wakeup_dev_event" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xd84b43d3, "devm_kstrdup" },
	{ 0x76be2fa8, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x525dd303, "debugfs_lookup_and_remove" },
	{ 0x311f3829, "put_device" },
	{ 0xab882ace, "gpiod_unexport" },
	{ 0x2b9254e1, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xacb9c2c9, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x361ca186, "snd_dmaengine_pcm_close" },
	{ 0xaec9d8a4, "dma_get_slave_caps" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0xfcd573b4, "snd_card_new" },
	{ 0x7a3f01a3, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x81c27ca4, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xa2922c07, "snd_dmaengine_pcm_request_channel" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0xbdfc5ab1, "devm_kfree" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x9644f4e7, "pinctrl_pm_select_sleep_state" },
	{ 0x7a40eeb6, "simple_open" },
	{ 0x5af87875, "snd_pcm_lib_ioctl" },
	{ 0x7c93e11, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xea2db580, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa786edaf, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x4274652f, "snd_jack_add_new_kctl" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa4d5ff71, "dev_get_regmap" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x95c9da78, "__devres_alloc_node" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x9cb5b106, "snd_ctl_notify" },
	{ 0x9b3c2814, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x70416087, "snd_pcm_set_ops" },
	{ 0xa4e8e705, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xfa003f18, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8831045a, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x726b5072, "device_register" },
	{ 0x3527bb12, "bpf_trace_run1" },
	{ 0x38a0fc62, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad10b1a7, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xccb812ec, "snd_dmaengine_pcm_open" },
	{ 0x5156aef5, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf55dc5b6, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x3c1a6cd0, "snd_dmaengine_pcm_pointer" },
	{ 0xaab20a5, "__platform_driver_register" },
	{ 0x5d47fecb, "dma_request_chan" },
	{ 0xa4778caf, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd48d0b2a, "pinctrl_lookup_state" },
	{ 0x47d471f7, "bpf_trace_run3" },
	{ 0x295b696b, "seq_read" },
	{ 0xc895f96d, "snd_compress_new" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0xc55499c7, "snd_hwparams_to_dma_slave_config" },
	{ 0x58f0641, "platform_device_register_full" },
	{ 0xf599a6c0, "regmap_read" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0xbaf61453, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154c3652, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ce66399, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x7ffa7a76, "_copy_from_iter" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xebde6665, "pinctrl_select_state" },
	{ 0xb75c083e, "snd_power_wait" },
	{ 0x572633b7, "snd_pcm_hw_constraint_msbits" },
	{ 0x5a539e2e, "single_release" },
	{ 0x213a3516, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x55ef8630, "dev_err_probe" },
	{ 0x87381399, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x94c03301, "device_add_groups" },
	{ 0x2c7a8392, "__pm_runtime_suspend" },
	{ 0xadf747d7, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x21d3fa5c, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbdd43ad4, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x70f3df00, "__pm_runtime_idle" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb67fe65c, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x6ce13906, "gpiod_get_value_cansleep" },
	{ 0xa3b262fe, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x385f79d0, "_copy_to_iter" },
	{ 0xfb48625, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd5a80c71, "regmap_write" },
	{ 0x55da9353, "param_ops_uint" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0xf41a37c1, "regmap_get_val_bytes" },
	{ 0x54c5bbf4, "platform_driver_unregister" },
	{ 0x63a603fc, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x4d64a483, "snd_dmaengine_pcm_sync_stop" },
	{ 0x27dc85f7, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb2f8c4dc, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0xd10212e8, "regmap_raw_read" },
	{ 0x8f33b7f2, "snd_card_register" },
	{ 0x9a0a905b, "device_unregister" },
	{ 0x4ed6afc4, "snd_card_free" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x4e3099cf, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9ac4b359, "gpiod_get_index" },
	{ 0x8a2283d7, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x5aa19507, "snd_pcm_hw_constraint_minmax" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x9fc285f, "gpiod_to_irq" },
	{ 0x6afa0779, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x337987f2, "dma_release_channel" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x120f833c, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x1d483f27, "regcache_mark_dirty" },
	{ 0x3b150389, "bpf_trace_run2" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0xe73488fd, "regulator_disable_deferred" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x6dbd6b0e, "snd_ctl_remove" },
	{ 0x851dbd10, "snd_ctl_free_one" },
	{ 0x8e6a18a9, "snd_ctl_find_id" },
	{ 0xae440e4, "devm_clk_get" },
	{ 0xe4ec84bc, "devres_add" },
	{ 0xb2c76805, "snd_pcm_new_internal" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x52c06e76, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x67519cd2, "snd_dmaengine_pcm_get_chan" },
	{ 0x91fb484a, "pinctrl_pm_select_default_state" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xbf32ee04, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "D16B833B7977251CC41130D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
