#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0xd69942dd, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x003d9636, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0xe76f2641, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x6bc59480, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x484ac3cd, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x82847d37, "");
SYMBOL_CRC(hda_dsp_probe, 0xe941bf64, "");
SYMBOL_CRC(hda_dsp_remove, 0xf94c5bb8, "");
SYMBOL_CRC(hda_power_down_dsp, 0x6cefa433, "");
SYMBOL_CRC(hda_pci_intel_probe, 0xa6e78330, "");
SYMBOL_CRC(sof_hda_common_ops, 0xa37aaf86, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xa198ac0d, "pci_alloc_irq_vectors" },
	{ 0x7e83c9e3, "intel_nhlt_get_dmic_geo" },
	{ 0xa4629e1e, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0x835cc1f7, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xab26cfd0, "hda_sdw_process_wakeen" },
	{ 0xb9ce89c9, "hda_sdw_int_enable" },
	{ 0x34641f32, "hda_bus_ml_init" },
	{ 0x5e712c7d, "hda_codec_probe_bus" },
	{ 0xc5ad27a3, "sof_hda_bus_exit" },
	{ 0xa9ac607a, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0xd7fb58b1, "sdw_intel_exit" },
	{ 0x13b477f4, "hda_codec_check_for_state_change" },
	{ 0xd81a792c, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0xa603bd18, "sdw_hda_dai_trigger" },
	{ 0xc75ed16c, "hda_bus_ml_free" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xb9d9e3c0, "hda_dsp_cl_boot_firmware" },
	{ 0x5bb9c41a, "hda_dsp_pcm_hw_params" },
	{ 0xfae9aadd, "hda_sdw_check_lcount" },
	{ 0xd7654889, "snd_intel_dsp_driver_probe" },
	{ 0x54f50500, "pci_irq_vector" },
	{ 0x2de99028, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x5b1a3723, "pci_ioremap_bar" },
	{ 0xef0eff9e, "hda_dsp_ctrl_init_chip" },
	{ 0x21a61b06, "sdw_hda_dai_hw_free" },
	{ 0x4940be65, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa972e0f2, "hda_dsp_suspend" },
	{ 0xc6b766bf, "hda_dsp_runtime_suspend" },
	{ 0x58477b38, "hda_codec_i915_exit" },
	{ 0x48c2cd95, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb861bd7b, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0x6fa3360c, "hda_dai_config" },
	{ 0x7c1bf696, "hda_probes_unregister" },
	{ 0xba7e3ea3, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd560800a, "hda_dsp_pcm_ack" },
	{ 0x168430ef, "hda_dsp_trace_release" },
	{ 0xced401c5, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x9431a224, "hda_dsp_dump" },
	{ 0xbca46bca, "sdw_intel_startup" },
	{ 0xea5d87a, "hda_dsp_pcm_pointer" },
	{ 0xdf5d50bc, "sdw_intel_process_wakeen_event" },
	{ 0xd4f0b099, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd83f5c4, "sof_mailbox_read" },
	{ 0xede66301, "hda_bus_ml_put_all" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xc9b011a2, "debugfs_create_bool" },
	{ 0x1b7073bb, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa4b81cf6, "__tracepoint_sof_intel_hda_irq" },
	{ 0x7c93e11, "platform_device_unregister" },
	{ 0x30e5d5dd, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0x8fbac6b3, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x7d6547de, "hda_codec_device_remove" },
	{ 0x8e4e18d4, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf25f9d16, "snd_sof_dsp_update_bits" },
	{ 0xae6a96d, "snd_sof_pci_update_bits" },
	{ 0xb2b2efa8, "sof_hda_bus_init" },
	{ 0xfd0fde87, "hda_dsp_runtime_idle" },
	{ 0x2863a6e9, "hda_dsp_pcm_open" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x4a8fcdd8, "sdw_intel_lnl_hw_ops" },
	{ 0x61d46470, "pci_set_master" },
	{ 0x15e1ec1e, "param_ops_charp" },
	{ 0xec394f55, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0xa288d289, "hda_dsp_pcm_close" },
	{ 0xea87c53, "dma_set_coherent_mask" },
	{ 0xa4778caf, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd6743344, "hda_check_ipc_irq" },
	{ 0x58f0641, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc97d9de0, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x64c635bb, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x97863400, "sof_machine_unregister" },
	{ 0xa578f9ab, "skl_dai" },
	{ 0xc6b2b168, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x970d04e6, "sdw_intel_probe" },
	{ 0x9923d423, "snd_sof_load_firmware_raw" },
	{ 0xd9186c86, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0x4dc0d1f1, "hda_is_chain_dma_supported" },
	{ 0x4af9f6f1, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xcbe631e5, "dma_set_mask" },
	{ 0x290e55f3, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x55ef8630, "dev_err_probe" },
	{ 0x3f222146, "hda_dsp_stream_init" },
	{ 0x41f0b659, "hda_dsp_get_stream_ldp" },
	{ 0x6bac3d3f, "hda_dsp_stream_free" },
	{ 0x21b26716, "hda_dsp_ctrl_get_caps" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x318251f3, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x44cdf020, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x4de6a42, "hda_codec_i915_init" },
	{ 0x50019a7a, "pci_free_irq_vectors" },
	{ 0xe2a2702b, "hda_dsp_check_stream_irq" },
	{ 0x4d9f2459, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x173ebec4, "hda_dsp_ipc_get_window_offset" },
	{ 0xbc7c5d5d, "hda_ipc_msg_data" },
	{ 0xcbfc278c, "sof_machine_register" },
	{ 0x608789ca, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0xb5fac06d, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xcdfc4dff, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x929a6252, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1487ecc2, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xef0b9045, "hda_get_interface_mask" },
	{ 0x494f14dc, "hda_codec_i915_display_power" },
	{ 0x38c3a347, "is_acpi_device_node" },
	{ 0x62f87a0c, "hda_dsp_pcm_trigger" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "07DE080F95593709B535E37");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
