#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xf64d9802, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x56782fa1, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x10de1df3, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xaa496299, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x081279ec, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xf1f878c7, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x4672da69, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x8a4eaa08, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x674a784b, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x2c9b4e59, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x2864edc3, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x83f30217, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x78781445, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x4e00e24f, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xb7859f23, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0x2c258866, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x8b7b19c8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0xde47db70, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x4876e6b3, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x39aa39f5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x4a23541c, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x2de211d5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xdcd1ddb5, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x1abb59f9, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x1840fbce, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xd4476704, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x5485255d, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xaa8f1861, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xea1d1459, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x9adfa622, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x4643a121, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x76f879d3, "kthread_queue_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x285b9237, "kthread_create_worker" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0xba81091e, "sched_set_fifo" },
	{ 0x4c735617, "crypto_register_aead" },
	{ 0x73341006, "crypto_unregister_aead" },
	{ 0x49b5ff8f, "crypto_register_ahash" },
	{ 0xf2222beb, "crypto_unregister_ahash" },
	{ 0x43aaae7c, "crypto_register_akcipher" },
	{ 0xd6469b0b, "crypto_unregister_akcipher" },
	{ 0x1da12666, "crypto_register_kpp" },
	{ 0xab6fae41, "crypto_unregister_kpp" },
	{ 0x8216cc6c, "crypto_register_skcipher" },
	{ 0x98a07eeb, "crypto_unregister_skcipher" },
	{ 0xf36c5f5e, "crypto_enqueue_request" },
	{ 0x86dccc90, "crypto_dequeue_request" },
	{ 0x12d5b6ca, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdb1b94c4, "kthread_destroy_worker" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "28D1AA24B558B76E4CD01C0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
