#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_add_sub_device, "", "");
KSYMTAB_FUNC(ib_del_sub_device_and_put, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_port, "", "");
KSYMTAB_FUNC(roce_del_all_netdev_gids, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xfbb9074c, "");
SYMBOL_CRC(__ib_alloc_pd, 0xa2365b0e, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x37e73799, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xdcdfa791, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x2fd9f46e, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xb82614fd, "");
SYMBOL_CRC(rdma_create_ah, 0x0e66adc3, "");
SYMBOL_CRC(rdma_create_user_ah, 0x67e82bc0, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xb1748d22, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x42abbd4e, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x7707de03, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x866b5d76, "");
SYMBOL_CRC(rdma_modify_ah, 0x4c9fe742, "");
SYMBOL_CRC(rdma_query_ah, 0x58049be9, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0xa234a794, "");
SYMBOL_CRC(ib_create_srq_user, 0xdca401c2, "");
SYMBOL_CRC(ib_modify_srq, 0x90e2e4c0, "");
SYMBOL_CRC(ib_query_srq, 0x6e567fb0, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x1cd05e2c, "");
SYMBOL_CRC(ib_open_qp, 0xd918096a, "");
SYMBOL_CRC(ib_create_qp_user, 0xc1569c53, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x1d5cfe7e, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0xcc5d5527, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x8a5132c5, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x45314938, "");
SYMBOL_CRC(ib_get_eth_speed, 0x285dd4dc, "");
SYMBOL_CRC(ib_modify_qp, 0x61b24636, "");
SYMBOL_CRC(ib_query_qp, 0x36e3b442, "");
SYMBOL_CRC(ib_close_qp, 0xb86bf46b, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xcbf90997, "");
SYMBOL_CRC(__ib_create_cq, 0xf2fe30dc, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xea6dfc77, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xefc5c788, "");
SYMBOL_CRC(ib_resize_cq, 0x413d9f51, "");
SYMBOL_CRC(ib_reg_user_mr, 0x6cc10dc8, "");
SYMBOL_CRC(ib_advise_mr, 0x25095e44, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x5c2180b8, "");
SYMBOL_CRC(ib_alloc_mr, 0x6f5544c8, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x57c962dc, "");
SYMBOL_CRC(ib_attach_mcast, 0x5e81daf8, "");
SYMBOL_CRC(ib_detach_mcast, 0xdbcae60e, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x717e5e8d, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x3749c52f, "");
SYMBOL_CRC(ib_create_wq, 0x7ae11533, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x06f39bc9, "");
SYMBOL_CRC(ib_check_mr_status, 0xe23de166, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x06e94eac, "");
SYMBOL_CRC(ib_get_vf_config, 0xe05cecea, "");
SYMBOL_CRC(ib_get_vf_stats, 0xfa67e9ca, "");
SYMBOL_CRC(ib_set_vf_guid, 0x1573edce, "");
SYMBOL_CRC(ib_get_vf_guid, 0xf773eaba, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x49d23c1f, "");
SYMBOL_CRC(ib_map_mr_sg, 0x0259c281, "");
SYMBOL_CRC(ib_sg_to_pages, 0xad32ddd4, "");
SYMBOL_CRC(ib_drain_sq, 0x46a631e4, "");
SYMBOL_CRC(ib_drain_rq, 0x2cbb25a6, "");
SYMBOL_CRC(ib_drain_qp, 0x3fa8a971, "");
SYMBOL_CRC(rdma_alloc_netdev, 0xedb01d06, "");
SYMBOL_CRC(rdma_init_netdev, 0x21217f57, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0xb5900f7f, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x04afaad2, "");
SYMBOL_CRC(ib_process_cq_direct, 0x0371a12d, "");
SYMBOL_CRC(__ib_alloc_cq, 0xc58f7c75, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x33bfea86, "");
SYMBOL_CRC(ib_free_cq, 0xcbbdc93b, "");
SYMBOL_CRC(ib_cq_pool_get, 0x82f9f2a5, "");
SYMBOL_CRC(ib_cq_pool_put, 0x397df762, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xf4417be7, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xbf343ffe, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x2a0c79ae, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xbe2f7f26, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xc660dbae, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x205ab842, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x0a3dd3b4, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xe06226fe, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x06da06fe, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x3a5dc55d, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xda76552f, "");
SYMBOL_CRC(ibdev_printk, 0xae05c786, "");
SYMBOL_CRC(ibdev_emerg, 0xcb691c6a, "");
SYMBOL_CRC(ibdev_alert, 0x4c084bec, "");
SYMBOL_CRC(ibdev_crit, 0xb437d73a, "");
SYMBOL_CRC(ibdev_err, 0xcc7bbe66, "");
SYMBOL_CRC(ibdev_warn, 0xcb0f5735, "");
SYMBOL_CRC(ibdev_notice, 0x48f576de, "");
SYMBOL_CRC(ibdev_info, 0x05fde1d8, "");
SYMBOL_CRC(ib_device_put, 0x0774c6b8, "");
SYMBOL_CRC(ib_device_get_by_name, 0x101cdcdc, "");
SYMBOL_CRC(_ib_alloc_device, 0xecd26e0b, "");
SYMBOL_CRC(ib_dealloc_device, 0xb07c0b39, "");
SYMBOL_CRC(ib_port_immutable_read, 0xa4597e28, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x1a2b3176, "");
SYMBOL_CRC(ib_register_device, 0xfde0fcc6, "");
SYMBOL_CRC(ib_unregister_device, 0x14a43ac0, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xe7ce233a, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x205881e8, "");
SYMBOL_CRC(ib_register_client, 0xfce043c9, "");
SYMBOL_CRC(ib_unregister_client, 0xd592db24, "");
SYMBOL_CRC(ib_set_client_data, 0x6327601b, "");
SYMBOL_CRC(ib_register_event_handler, 0x85855678, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x24a10c58, "");
SYMBOL_CRC(ib_query_port, 0xb7474792, "");
SYMBOL_CRC(ib_device_set_netdev, 0x3752aca3, "");
SYMBOL_CRC(ib_device_get_netdev, 0x655b632c, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xb8675251, "");
SYMBOL_CRC(ib_query_pkey, 0x98e22440, "");
SYMBOL_CRC(ib_modify_device, 0x339203a1, "");
SYMBOL_CRC(ib_modify_port, 0x0d17d6e5, "");
SYMBOL_CRC(ib_find_gid, 0x15550963, "");
SYMBOL_CRC(ib_find_pkey, 0x852563c0, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x2a9965d1, "");
SYMBOL_CRC(ib_set_device_ops, 0x6f9d26c2, "");
SYMBOL_CRC(ib_add_sub_device, 0x0531b206, "");
SYMBOL_CRC(ib_del_sub_device_and_put, 0x39c9ee86, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xbdf9f819, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x256ce094, "");
SYMBOL_CRC(rdma_query_gid, 0xca1e1eea, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xb3d68a88, "");
SYMBOL_CRC(rdma_find_gid, 0xc644228b, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xdfd44e0f, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x9ee0bf13, "");
SYMBOL_CRC(ib_find_cached_pkey, 0x2d05db6b, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xdd397609, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x4db153d1, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x83131812, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x402c2afc, "");
SYMBOL_CRC(rdma_query_gid_table, 0x51133c0e, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xc67f413b, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xbbdb51a3, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x5dd1f7f3, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xeeb97b96, "");
SYMBOL_CRC(ib_dispatch_event, 0x83c0406d, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x32b83884, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x16b212c8, "");
SYMBOL_CRC(ibnl_put_attr, 0x43ef1d30, "");
SYMBOL_CRC(rdma_nl_unicast, 0x25a93590, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x604848c4, "");
SYMBOL_CRC(rdma_nl_multicast, 0x5a98cd1e, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xe699d8ab, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x6fd2ddb6, "");
SYMBOL_CRC(rdma_roce_rescan_port, 0x868f18c4, "");
SYMBOL_CRC(roce_del_all_netdev_gids, 0x7355e9b5, "");
SYMBOL_CRC(ib_mr_pool_get, 0x6f90dee9, "");
SYMBOL_CRC(ib_mr_pool_put, 0x834ebc45, "");
SYMBOL_CRC(ib_mr_pool_init, 0x4a5eb58d, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x21b6353b, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x32aaf9ae, "");
SYMBOL_CRC(rdma_translate_ip, 0x424d7dd9, "");
SYMBOL_CRC(rdma_resolve_ip, 0x4e3a185f, "");
SYMBOL_CRC(rdma_addr_cancel, 0xdaad0bc0, "");
SYMBOL_CRC(ib_sa_register_client, 0x7c8b7816, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x43eb62e4, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0x2b2fd1a5, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xccda6f6d, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x1cb1ff78, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xf244d146, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x9f678eae, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xde23e54f, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x3dbc9857, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xf5d96a4b, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x40c9a1e9, "");
SYMBOL_CRC(ib_create_send_mad, 0x8af912bc, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x6ad4cb26, "");
SYMBOL_CRC(ib_free_send_mad, 0xd9828c78, "");
SYMBOL_CRC(ib_post_send_mad, 0x31e7f740, "");
SYMBOL_CRC(ib_free_recv_mad, 0xa76aa23e, "");
SYMBOL_CRC(ib_modify_mad, 0x337416dd, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x85625bd7, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x419ea3be, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x225cf6a9, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x7a2c6471, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x9e193146, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x8a554949, "");
SYMBOL_CRC(rdma_link_register, 0x1d353b47, "");
SYMBOL_CRC(rdma_link_unregister, 0x8e8d8a02, "");
SYMBOL_CRC(rdma_restrack_count, 0xf7edfafb, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x02aedf03, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x62393b2e, "");
SYMBOL_CRC(rdma_restrack_new, 0x57b8d567, "");
SYMBOL_CRC(rdma_restrack_add, 0x4ca5c059, "");
SYMBOL_CRC(rdma_restrack_get, 0x0e67a9d5, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0xa6a9a456, "");
SYMBOL_CRC(rdma_restrack_put, 0x893c5e86, "");
SYMBOL_CRC(rdma_restrack_del, 0x0b290a41, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x622e2042, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xbe518dee, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x13d0a77c, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x5a486c35, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xf1bbaec9, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x42198736, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xefc23578, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xe455931d, "");
SYMBOL_CRC(ib_create_qp_security, 0xea17a0c6, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xcae2c57e, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x9a486d6c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x92058702, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x725c1a05, "netlink_kernel_release" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x294db324, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xab54152f, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdb2b32c1, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x94bd4350, "xa_clear_mark" },
	{ 0x3527bb12, "bpf_trace_run1" },
	{ 0xdd95d013, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xeaedfe35, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x1200d691, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xe23d8218, "__neigh_event_send" },
	{ 0x87728db7, "dev_printk_emit" },
	{ 0x65a30fe6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xc279b09e, "skb_trim" },
	{ 0x2cd7f89a, "netdev_has_upper_dev_all_rcu" },
	{ 0x4b705841, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x6569ffd6, "netdev_walk_all_upper_dev_rcu" },
	{ 0x47d471f7, "bpf_trace_run3" },
	{ 0x7b73e98d, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd2d5b8d8, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7076e774, "neigh_destroy" },
	{ 0x55dd12e, "kobject_del" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0xe4b33010, "dma_map_sgtable" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21a87573, "param_ops_bool" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xa25255ea, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xf9d563c2, "dev_get_by_name" },
	{ 0xc45b85ef, "netlink_ns_capable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xfb15c664, "dst_release" },
	{ 0x914a2155, "kobject_uevent" },
	{ 0xc487719e, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0xf2301826, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbcc9dc4b, "vlan_dev_vlan_id" },
	{ 0x3997e9d5, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0x63cc4f10, "ipv6_chk_addr" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x32371a41, "netlink_has_listeners" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xbf7688fd, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd9022bc, "get_net_ns_by_fd" },
	{ 0x34d3fe86, "class_register" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c766146, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x42dd7bac, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xbe369f30, "rdmacg_try_charge" },
	{ 0x5cbee62f, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6f0530e4, "bpf_trace_run4" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x21bb155a, "__nlmsg_put" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0xa84ffb69, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0x42aaa69, "xa_get_mark" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xb7ba645a, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0x64d270b4, "__kmalloc_node_noprof" },
	{ 0x841fd12b, "dma_unmap_page_attrs" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x37f82ffb, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa9aee17e, "sysfs_remove_groups" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0xb44a883a, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x85e5e224, "xas_find" },
	{ 0x333f6461, "kobject_init" },
	{ 0x8cfed4d6, "device_initialize" },
	{ 0x9a82c909, "__dynamic_ibdev_dbg" },
	{ 0x219ada62, "sysfs_create_groups" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa61b5219, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xd07d7826, "in6_dev_finish_destroy" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xf1e36b9d, "__netlink_kernel_create" },
	{ 0x3b150389, "bpf_trace_run2" },
	{ 0xc213b889, "ip_route_output_flow" },
	{ 0x2ca860c7, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xec316388, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0x756b21be, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24308637, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fb7a065, "_raw_write_lock_irq" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0xc9f572cb, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x905b8ed8, "dma_map_page_attrs" },
	{ 0x70f351, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x311f3829, "put_device" },
	{ 0x170b014, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x47fbbaa6, "__alloc_skb" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x78f10c7e, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2f7e17c3, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x839c2f8e, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xb9d2cc4a, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xe8ffbc41, "init_net" },
	{ 0x54308b3a, "kobject_add" },
	{ 0xeed7fd81, "up_write" },
	{ 0x73fd5acd, "ipv6_stub" },
	{ 0x205f3270, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaf802244, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x2c56b764, "netlink_unicast" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xefda6956, "dev_get_by_index" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4782760F1B91A6CD7B9359C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
