#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0xc864199c, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xf6063996, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2784a02, "__cpuhp_state_add_instance" },
	{ 0x56c01be5, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x57fa0c81, "async_raid6_2data_recov" },
	{ 0x67549d6f, "bio_add_page" },
	{ 0xd6403242, "__SCK__tp_func_block_unplug" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x84923932, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x65d5dce7, "sysfs_create_group" },
	{ 0x747c2098, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x336603e2, "_atomic_dec_and_lock_irqsave" },
	{ 0xbf177cc3, "md_flush_request" },
	{ 0x6ee44898, "bio_init" },
	{ 0x21c075e4, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x2d32013c, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x672d0b6b, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x96fbf987, "md_account_bio" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfe40e12d, "__kmem_cache_create_args" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d70ab21, "md_write_inc" },
	{ 0x3b985ea, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa6ce3541, "unregister_md_personality" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x29b89746, "bio_uninit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x21a87573, "param_ops_bool" },
	{ 0x79bf0369, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x210306a1, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xfa98c225, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154c3652, "seq_printf" },
	{ 0x442d38c3, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdf32da16, "md_check_recovery" },
	{ 0x8ed91b21, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5dd3ad22, "alloc_pages_noprof" },
	{ 0xa12515a0, "blkdev_issue_flush" },
	{ 0xf7602a76, "mddev_suspend" },
	{ 0xe05bfa66, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x739aedfe, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x5e2e7a03, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8924bd86, "md_init_stacking_limits" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x5237b410, "queue_limits_set" },
	{ 0xd860c5bc, "rdev_set_badblocks" },
	{ 0x411fa3b3, "bio_alloc_bioset" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb36c4b9f, "async_raid6_datap_recov" },
	{ 0xc563d417, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xd14fa767, "__cpuhp_remove_state" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x996bdf51, "kmem_cache_destroy" },
	{ 0xf7a83c0e, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x907eafbb, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x3cba86cd, "set_disk_ro" },
	{ 0x7d8aaae2, "register_md_personality" },
	{ 0xc0889c75, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8aba21f1, "__bio_add_page" },
	{ 0xcc3a4c65, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x66cf83e1, "md_find_rdev_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc14fd348, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x51066931, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x589425ef, "md_error" },
	{ 0x13fb0dde, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xcf5d8aac, "md_finish_reshape" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xf9c93bee, "async_gen_syndrome" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x628c1152, "md_unregister_thread" },
	{ 0xdbf4e6b2, "sync_page_io" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0xf35d8c64, "md_free_cloned_bio" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x97e0a320, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x6c0d6521, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xedaa72e5, "shrinker_free" },
	{ 0x5ee494e8, "md_wakeup_thread" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x93004b19, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x4560f80a, "md_set_array_sectors" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x384376d3, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6558f64, "rdev_clear_badblocks" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0x479b0a1d, "async_tx_quiesce" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x149b2dc1, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x3237e0a1, "shrinker_register" },
	{ 0xb502d786, "radix_tree_replace_slot" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x69cd3e5c, "async_xor" },
	{ 0x29401fc2, "__free_pages" },
	{ 0x2a6b08f8, "async_xor_offs" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0xb78f3a9e, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x900c9ef9, "submit_bio" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x7b4c5e7f, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x77329eaf, "kthread_unpark" },
	{ 0x28c72cb7, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x10a82812, "md_done_sync" },
	{ 0x619020cd, "mempool_alloc_noprof" },
	{ 0x3e2b9d46, "bio_put" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0x570f92f9, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xcdd61b28, "md_wait_for_blocked_rdev" },
	{ 0xd90fe58a, "__SCK__tp_func_block_bio_remap" },
	{ 0x8bfb89d9, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x373a4a79, "async_memcpy" },
	{ 0x176ec679, "mddev_update_io_opt" },
	{ 0x2fea15ae, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa7d54576, "mddev_stack_rdev_limits" },
	{ 0xf29309db, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x211f74b3, "mddev_unlock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x972f26a8, "__tracepoint_block_unplug" },
	{ 0x2325e08e, "bio_chain" },
	{ 0xe8592e56, "__blk_trace_note_message" },
	{ 0xbc163452, "blkdev_issue_zeroout" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "94795E657286104985B295C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
