#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x37785a8e, "");
SYMBOL_CRC(cx88_querycap, 0xfe139745, "");
SYMBOL_CRC(cx88_enum_input, 0xa2f55160, "");
SYMBOL_CRC(cx88_set_freq, 0x484f1a8c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x96cf49cc, "cx88_ir_stop" },
	{ 0x5bbc0e2, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4b24a80a, "video_devdata" },
	{ 0xb1d65ff4, "cx88_set_tvnorm" },
	{ 0x611b51c, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x8b6258f, "v4l2_ctrl_find" },
	{ 0xf928c1c9, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2bb73233, "__v4l2_ctrl_s_ctrl" },
	{ 0x4a07e189, "vb2_plane_cookie" },
	{ 0x1dbe8758, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x62e6e245, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa171491b, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4fa90d49, "cx88_set_stereo" },
	{ 0xd2435a9e, "vb2_buffer_done" },
	{ 0x587712ab, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf9f52d49, "video_unregister_device" },
	{ 0x53f60806, "kthread_stop" },
	{ 0x596a61b0, "i2c_new_client_device" },
	{ 0xe1b53a44, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x65184a57, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x61d46470, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x510e8970, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6e62ddee, "vb2_fop_read" },
	{ 0xee1cad32, "cx88_sram_channel_dump" },
	{ 0x763f309b, "kthread_create_on_node" },
	{ 0x33bc2fdc, "cx88_sram_channel_setup" },
	{ 0x7c398dcf, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x270b86fc, "__video_register_device" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xd500411b, "vb2_ioctl_streamon" },
	{ 0x303cb1bf, "vb2_fop_poll" },
	{ 0x82dcb356, "v4l2_ctrl_new_std" },
	{ 0x541387d3, "pci_disable_device" },
	{ 0xcbe631e5, "dma_set_mask" },
	{ 0x21b6030c, "v4l2_i2c_new_subdev" },
	{ 0x241b4348, "pci_read_config_byte" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8d9faf03, "cx88_newstation" },
	{ 0x2e6c58a0, "v4l2_event_unsubscribe" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdaf0ba22, "vb2_ioctl_reqbufs" },
	{ 0x7b1900f8, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb8db5736, "vb2_dma_sg_memops" },
	{ 0x3e2869ea, "cx88_reset" },
	{ 0x54b3a78d, "v4l2_ctrl_poll" },
	{ 0xf1057b39, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xea540d57, "cx88_wakeup" },
	{ 0xf30fdd1f, "pci_enable_device" },
	{ 0xa9f3c3cb, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x4ed34a04, "v4l2_ctrl_add_handler" },
	{ 0xcfb0d2b0, "v4l2_i2c_new_subdev_board" },
	{ 0xae5b132c, "cx88_set_scale" },
	{ 0x58ad554d, "__pci_register_driver" },
	{ 0x7ad7c64d, "cx88_shutdown" },
	{ 0xe2ff06ed, "cx88_vdev_init" },
	{ 0x68129f4f, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x12ccb425, "vb2_ioctl_querybuf" },
	{ 0x43cf6ec5, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4e2894bd, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xf26215d9, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xeba194a2, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x87c6f55c, "wake_up_process" },
	{ 0xb1ef978a, "cx88_core_get" },
	{ 0x2a7da783, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
