#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0x23cde439, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0xa9524393, "");
SYMBOL_CRC(dvb_usb_device_exit, 0xbf5dd8d0, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xe5324e2b, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x06e0a280, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0x0d90b703, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x458a28a6, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd116985a, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x352f9289, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc46937e6, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x49ef6ec, "usb_clear_halt" },
	{ 0xedf040c7, "usb_bulk_msg" },
	{ 0x205ea47d, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8be598b7, "usb_submit_urb" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0xad9d3886, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe77e1ba, "media_device_cleanup" },
	{ 0xd07dfe19, "dvb_dmx_swfilter_204" },
	{ 0xb2fb0569, "dvb_dmx_release" },
	{ 0xfdce0f34, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4b1dbf28, "rc_register_device" },
	{ 0xd6e1acb4, "usb_control_msg" },
	{ 0x3edd29b8, "dvb_net_init" },
	{ 0xb9043e18, "dvb_dmx_swfilter" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xd702ba79, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x99d3b6c3, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x20c5c008, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1109d4e2, "input_event" },
	{ 0xcf5d9969, "dvb_frontend_detach" },
	{ 0x99b780c2, "i2c_add_adapter" },
	{ 0x51c9aa58, "dvb_net_release" },
	{ 0x2ec00f6a, "rc_allocate_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3ff476e1, "dvb_unregister_frontend" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x1e3ab090, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x930f2278, "__media_device_usb_init" },
	{ 0xc42b14ee, "dvb_register_frontend" },
	{ 0x211e312a, "dvb_create_media_graph" },
	{ 0xf7d026, "dvb_unregister_adapter" },
	{ 0xbdaa4c63, "dvb_dmx_init" },
	{ 0x13749d25, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xabdfeab2, "rc_unregister_device" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb04a8e98, "input_allocate_device" },
	{ 0x136ba65e, "dvb_dmxdev_init" },
	{ 0xec7cbdd6, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x65a9433b, "media_device_unregister" },
	{ 0xa65ffed3, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf2cf367, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69c9923e, "request_firmware" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
