#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pdsc_get_pf_struct, "_gpl", "");
KSYMTAB_FUNC(pds_client_register, "_gpl", "");
KSYMTAB_FUNC(pds_client_unregister, "_gpl", "");
KSYMTAB_FUNC(pds_client_adminq_cmd, "_gpl", "");
KSYMTAB_FUNC(pdsc_adminq_post, "_gpl", "");
KSYMTAB_FUNC(pdsc_register_notify, "_gpl", "");
KSYMTAB_FUNC(pdsc_unregister_notify, "_gpl", "");

SYMBOL_CRC(pdsc_get_pf_struct, 0xd4d688fe, "_gpl");
SYMBOL_CRC(pds_client_register, 0x6a56e908, "_gpl");
SYMBOL_CRC(pds_client_unregister, 0x5e3a50eb, "_gpl");
SYMBOL_CRC(pds_client_adminq_cmd, 0x9758c9f9, "_gpl");
SYMBOL_CRC(pdsc_adminq_post, 0x77cd7f8b, "_gpl");
SYMBOL_CRC(pdsc_register_notify, 0x45b87b4f, "_gpl");
SYMBOL_CRC(pdsc_unregister_notify, 0xce714617, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xfafe2045, "devl_lock" },
	{ 0xd2771447, "pci_dev_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xcabb5ca0, "debugfs_create_u16" },
	{ 0x58ad554d, "__pci_register_driver" },
	{ 0x2695e170, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x10fb27d7, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe10b2b1b, "devlink_alloc_ns" },
	{ 0x978552ec, "pci_sriov_get_totalvfs" },
	{ 0x120f833c, "seq_lseek" },
	{ 0xa084aca7, "pci_reset_function_locked" },
	{ 0x2d4ff85d, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x54f50500, "pci_irq_vector" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xeba194a2, "pci_unregister_driver" },
	{ 0x4e04f5a0, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2064d3e3, "devlink_flash_update_status_notify" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xfd29664f, "priv_to_devlink" },
	{ 0x3df132f1, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f837c1a, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x311f3829, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x8f074fe3, "debugfs_create_regset32" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe4af1a24, "devl_health_reporter_create" },
	{ 0x5d0176d7, "pci_iov_vf_id" },
	{ 0x258c1838, "debugfs_lookup" },
	{ 0x394b06b1, "pci_iomap_range" },
	{ 0xbbc3c201, "devlink_flash_update_timeout_notify" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xe8ffbc41, "init_net" },
	{ 0xc9b011a2, "debugfs_create_bool" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x8a9a37f0, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x834b5cc1, "dma_alloc_attrs" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0xfb3dce48, "seq_putc" },
	{ 0x6573f300, "ida_free" },
	{ 0xa734f59e, "devl_params_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9dfbdfcd, "debugfs_create_ulong" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x306471a5, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdd95d013, "device_del" },
	{ 0xb19b445, "ioread8" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x61d46470, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad10b1a7, "debugfs_create_u32" },
	{ 0xd54b720a, "devl_params_unregister" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xa2f9f51f, "pci_reset_function" },
	{ 0xf2aab702, "devl_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea87c53, "dma_set_coherent_mask" },
	{ 0x295b696b, "seq_read" },
	{ 0xdd605405, "blocking_notifier_chain_unregister" },
	{ 0x7c398dcf, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb2b74051, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5ba52ba7, "pci_release_regions" },
	{ 0xb92d876, "pcie_print_link_status" },
	{ 0x95103f70, "pci_dev_get" },
	{ 0x411726bc, "seq_write" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x154c3652, "seq_printf" },
	{ 0x787bddd6, "devlink_priv" },
	{ 0xbd626075, "pci_disable_sriov" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x541387d3, "pci_disable_device" },
	{ 0x5a539e2e, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xcbe631e5, "dma_set_mask" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xa4191c0b, "memset_io" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xbdd43ad4, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x53939278, "devl_register" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0x50019a7a, "pci_free_irq_vectors" },
	{ 0xb751b674, "pci_enable_sriov" },
	{ 0xf9a482f9, "msleep" },
	{ 0x55a56642, "pci_iov_get_pf_drvdata" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb90d39ab, "devl_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xf30fdd1f, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcb49e71b, "auxiliary_device_init" },
	{ 0x1be04d60, "pci_iomap" },
	{ 0xa198ac0d, "pci_alloc_irq_vectors" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001DD8d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001DD8d0000100Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F4CEF02E65AEC824F2A3BF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
