#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(prestera_device_register, "", "");
KSYMTAB_FUNC(prestera_device_unregister, "", "");

SYMBOL_CRC(prestera_device_register, 0xbfbd533f, "");
SYMBOL_CRC(prestera_device_unregister, 0x6cc3b9ba, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xd6d2cc3e, "eth_type_trans" },
	{ 0xb12a2845, "flow_rule_match_icmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x905b8ed8, "dma_map_page_attrs" },
	{ 0xe7e7ecfc, "napi_complete_done" },
	{ 0x2dfa8c8a, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xfd29664f, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x403737b2, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x47fbbaa6, "__alloc_skb" },
	{ 0x3563c267, "switchdev_bridge_port_offload" },
	{ 0xe497c437, "flow_block_cb_incref" },
	{ 0x59bcbebe, "flow_rule_match_ports_range" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x53e4d95e, "free_fib_info" },
	{ 0xb53a74b3, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xb9d2cc4a, "vlan_dev_real_dev" },
	{ 0xcdef7d44, "__dev_get_by_index" },
	{ 0x7c4710da, "devlink_port_unregister" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xe8ffbc41, "init_net" },
	{ 0x205f3270, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbed40aa3, "flow_block_cb_decref" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x101d315f, "napi_enable" },
	{ 0x6daee919, "register_netdev" },
	{ 0xf7b05b8f, "unregister_fib_notifier" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbfe5513a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4af6e4c0, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0xbcf70ae2, "switchdev_bridge_port_unoffload" },
	{ 0xfb578fc5, "memset" },
	{ 0x33fec36, "_dev_warn" },
	{ 0xff4e5322, "flow_rule_match_ports" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd5a38196, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x2a8044bd, "devlink_trap_report" },
	{ 0xe23d8218, "__neigh_event_send" },
	{ 0x44808884, "flow_block_cb_alloc" },
	{ 0xe952817c, "switchdev_handle_port_obj_add" },
	{ 0x477271c0, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb4bc512, "phylink_pcs_change" },
	{ 0x7abe73ae, "__neigh_create" },
	{ 0x6569ffd6, "netdev_walk_all_upper_dev_rcu" },
	{ 0x3b985ea, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xefc0d9bc, "phylink_ethtool_ksettings_set" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x92e54a29, "alloc_netdev_dummy" },
	{ 0x7076e774, "neigh_destroy" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x3d71392b, "br_multicast_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1637c66e, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xdaf8037, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xa25255ea, "netdev_master_upper_dev_get_rcu" },
	{ 0xc6f21bcc, "devlink_traps_register" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x84714251, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f9aba8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x55879800, "flow_rule_match_meta" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x787bddd6, "devlink_priv" },
	{ 0x34de987d, "devlink_port_register_with_ops" },
	{ 0xde74791a, "netif_carrier_on" },
	{ 0x5598b516, "netdev_has_any_upper_dev" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xa551c101, "devlink_trap_groups_register" },
	{ 0x47a8bb4b, "arp_tbl" },
	{ 0x5bfbb43f, "phylink_ethtool_ksettings_get" },
	{ 0xa57d5847, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1b6af6fd, "netdev_walk_all_lower_dev" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xcfe67a98, "napi_schedule_prep" },
	{ 0x4726e948, "__fib_lookup" },
	{ 0x7ecdf9ff, "napi_disable" },
	{ 0x32aecf0f, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x828ce407, "devlink_trap_groups_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x1a43adff, "flow_rule_match_control" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xb968e9f2, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3b659e22, "alloc_etherdev_mqs" },
	{ 0xe0e79ded, "netdev_lower_get_next" },
	{ 0xbb07f44b, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x10a14f53, "br_vlan_enabled" },
	{ 0xb90727c2, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1c84b04c, "devlink_unregister" },
	{ 0xf59c0db8, "dma_pool_create" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x31830a7c, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9af94cd3, "register_fib_notifier" },
	{ 0xdca9bbef, "l3mdev_fib_table_rcu" },
	{ 0xc0c0c5e, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3032ef4e, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x732130a6, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x841fd12b, "dma_unmap_page_attrs" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x18d9f115, "flow_rule_match_eth_addrs" },
	{ 0x416dada, "devlink_port_attrs_set" },
	{ 0x51766f60, "flow_block_cb_priv" },
	{ 0x45237309, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe10b2b1b, "devlink_alloc_ns" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x7897072f, "devlink_register" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x2d4ff85d, "devlink_free" },
	{ 0x27bba2a0, "netdev_warn" },
	{ 0x455f7eca, "flow_rule_match_ipv4_addrs" },
	{ 0xf575c2c3, "__netif_napi_del" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0x1026710, "fib_table_lookup" },
	{ 0x671564f4, "skb_pull_rcsum" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfbfe1de4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8322e4e6, "pskb_expand_head" },
	{ 0x8011412e, "switchdev_handle_port_attr_set" },
	{ 0xc8230b7b, "devlink_traps_unregister" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xeb8ff9bb, "dev_driver_string" },
	{ 0xf2635788, "dev_addr_mod" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "phylink,bridge");


MODULE_INFO(srcversion, "DEE6411BEDB481D2499FF15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
