#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xc6b1b040, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x321545a9, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x01d8a714, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0xa5131530, "netdev_rx_handler_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x466437a9, "skb_ensure_writable_head_tail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdcd1002b, "gro_cells_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf2635788, "dev_addr_mod" },
	{ 0x3fd18829, "netif_inherit_tso_max" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x12e3843f, "skb_clone" },
	{ 0xd53a61d0, "__netif_rx" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfe74d36e, "skb_copy" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xbd2fdfd6, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x27f5deb3, "skb_to_sgvec" },
	{ 0x50f276c, "crypto_aead_decrypt" },
	{ 0xd5a38196, "__pskb_pull_tail" },
	{ 0x349d6614, "skb_copy_expand" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0x500483e6, "crypto_aead_encrypt" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa29a39cb, "netdev_rx_handler_unregister" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfb686295, "netdev_update_features" },
	{ 0xc426bceb, "dev_set_mtu" },
	{ 0x97f9aba8, "netif_carrier_off" },
	{ 0x112d31a4, "dev_mc_unsync" },
	{ 0xb22fa1b7, "dev_uc_unsync" },
	{ 0x41fee1e8, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2ca8ca54, "dev_uc_add" },
	{ 0xde74791a, "netif_carrier_on" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf272e0c5, "genlmsg_put" },
	{ 0xc279b09e, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd59780d7, "rtnl_link_register" },
	{ 0x4f56791d, "genl_register_family" },
	{ 0x99c8f45d, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xe03359a5, "crypto_destroy_tfm" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc48d650b, "crypto_alloc_aead" },
	{  0x45400, "crypto_aead_setkey" },
	{ 0x4a017871, "crypto_aead_setauthsize" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x205f3270, "skb_pull" },
	{ 0x27d8bbca, "___pskb_trim" },
	{ 0xd6d2cc3e, "eth_type_trans" },
	{ 0xc7187485, "ether_setup" },
	{ 0xfb15c664, "dst_release" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x395b1ebf, "dev_mc_sync" },
	{ 0xa22c6ccd, "dev_uc_sync" },
	{ 0xdbcd3a49, "dev_set_allmulti" },
	{ 0xf5f34d6, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x171c0ff9, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xb83c1f16, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7cef69e1, "gro_cells_receive" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0xcdef7d44, "__dev_get_by_index" },
	{ 0x96677ddb, "register_netdevice" },
	{ 0xfa25704b, "netdev_upper_dev_link" },
	{ 0x1b3a10b5, "netdev_upper_dev_unlink" },
	{ 0x81bb7af8, "unregister_netdevice_queue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x93b55570, "metadata_dst_alloc" },
	{ 0x3f6360, "netif_stacked_transfer_operstate" },
	{ 0x6e8820ab, "linkwatch_fire_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6809968729137EF1D3E4D31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
