#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x6139dbf5, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x2e6fb53f, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x55d05a21, "_gpl");
SYMBOL_CRC(tap_free_minor, 0xde668644, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x713773bb, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x88270d53, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xc7f69aa0, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x0a5a86df, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x5edb3936, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfbfe1de4, "netdev_err" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x17c0200f, "sk_alloc" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xecbd6b4f, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x594e7ac6, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xab6b606c, "cdev_init" },
	{ 0x2b600de8, "cdev_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x6b30ceea, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3a6e38ab, "dev_set_mac_address_user" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xd851b90b, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf3efed9d, "skb_copy_datagram_iter" },
	{ 0x385f79d0, "_copy_to_iter" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x85ab7165, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x90bffecb, "iov_iter_advance" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0x48b78eb, "__skb_gso_segment" },
	{ 0x59655cd8, "skb_checksum_help" },
	{ 0x43dcc672, "kfree_skb_list_reason" },
	{ 0xfea3e844, "__skb_get_hash_net" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3c7317d9, "skb_partial_csum_set" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x3d4e16e1, "__skb_flow_dissect" },
	{ 0xd5a38196, "__pskb_pull_tail" },
	{ 0x79d37f95, "sock_alloc_send_pskb" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0x61e85e3a, "zerocopy_sg_from_iter" },
	{ 0xb83c1f16, "__dev_queue_xmit" },
	{ 0x7ffa7a76, "_copy_from_iter" },
	{ 0xd9406a10, "skb_copy_datagram_from_iter" },
	{ 0x2c46a1c, "iov_iter_npages" },
	{ 0xf9d52e6f, "iov_iter_revert" },
	{ 0x5138de2e, "skb_copy_bits" },
	{ 0xdd8428c5, "build_skb" },
	{ 0xd12975cc, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "93134EA5D8F9469F2B75E51");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
