#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0xa5b50ec5, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xa3bc7e50, "");
SYMBOL_CRC(team_options_register, 0x939cd34d, "");
SYMBOL_CRC(team_options_unregister, 0x42fd8744, "");
SYMBOL_CRC(team_option_inst_set_change, 0xb527d173, "");
SYMBOL_CRC(team_options_change_check, 0xd88e3bae, "");
SYMBOL_CRC(team_mode_register, 0x2bddb78d, "");
SYMBOL_CRC(team_mode_unregister, 0x6a941aa8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xac7df5d5, "netdev_has_upper_dev" },
	{ 0x64628c24, "netdev_change_features" },
	{ 0x2f1c5be, "netdev_lower_state_changed" },
	{ 0x761a500f, "netdev_master_upper_dev_link" },
	{ 0x61fd783c, "vlan_vids_add_by_dev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc279b09e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb93110b, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b985ea, "pv_ops" },
	{ 0x65188c37, "vlan_vids_del_by_dev" },
	{ 0x58b4d508, "__netpoll_setup" },
	{ 0xb83c1f16, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x49a23b3a, "vlan_vid_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x779e80a1, "call_netdevice_notifiers" },
	{ 0xe8829c08, "vlan_vid_del" },
	{ 0xdbcd3a49, "dev_set_allmulti" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x97f9aba8, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12e3843f, "skb_clone" },
	{ 0xde74791a, "netif_carrier_on" },
	{ 0xa57d5847, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa5131530, "netdev_rx_handler_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x171c0ff9, "genl_unregister_family" },
	{ 0x7dda295c, "dev_disable_lro" },
	{ 0x754d539c, "strlen" },
	{ 0x32aecf0f, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x112d31a4, "dev_mc_unsync" },
	{ 0x4f56791d, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x3bc6770a, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d44e8df, "dev_mc_sync_multiple" },
	{ 0x96677ddb, "register_netdevice" },
	{ 0xc426bceb, "dev_set_mtu" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x21bb155a, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xa3b314ac, "__netpoll_free" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4c464175, "netpoll_send_skb" },
	{ 0xd59780d7, "rtnl_link_register" },
	{ 0xf272e0c5, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x230a9d44, "dev_uc_sync_multiple" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5f34d6, "dev_set_promiscuity" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x27bba2a0, "netdev_warn" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb22fa1b7, "dev_uc_unsync" },
	{ 0xc7187485, "ether_setup" },
	{ 0x756b21be, "netlink_broadcast_filtered" },
	{ 0xfbfe1de4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2635788, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x87bac488, "passthru_features_check" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa29a39cb, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x47fbbaa6, "__alloc_skb" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0x47ddff63, "dev_uc_flush" },
	{ 0xfe066ed8, "dev_open" },
	{ 0x99c8f45d, "rtnl_link_unregister" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17a5210a, "dev_mc_flush" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x2c56b764, "netlink_unicast" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xefda6956, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6380c085, "dev_close" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1b3a10b5, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4af6e4c0, "ethtool_op_get_link" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdb2b32c1, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xead506ed, "dev_set_mac_address" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C0C29584ECEAA469A78ADF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
