#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x9cb0cb3f, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x0155f5de, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x0a4dd8cd, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x14b69798, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x5134439e, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x86d7c825, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xaf312bf5, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xcc6605b6, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xa3873307, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x13b9687b, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xeab87786, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x89a49510, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x41c35708, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x4537ea73, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x502a9c73, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x5c255868, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0xcc4e5172, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x506a2ccf, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x37313c51, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x307bbbd5, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x5d45f157, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xcb22ae0b, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x276e26e9, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x42adef27, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xf227b217, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x1379e300, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x5d145004, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x3a4cc1d0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x79dcae80, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x21dbb690, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xccbe6c13, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x7bc88268, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xc11a8081, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xdb87ff1a, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x092ed71d, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x3dcb5ce4, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xfbf30205, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x815c36cd, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x2d9c6c6e, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xac0e7469, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x04d51acf, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xc38e6bc2, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x9193861d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x9f26f5f9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xa82f1cd1, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x601022f3, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x7c543f72, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xbff14d20, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xb3ce4dc7, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x97b5977d, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xf4d31deb, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xceccd633, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x3e83f25a, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x45e7b456, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0xbfae8c16, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x669813a7, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xead2ec88, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xd5042f13, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xec54533f, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xc98bf783, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x93c25d61, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x2b301cc7, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xa69d6594, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xdc66cc70, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x164635c4, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x980bdb69, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53569707, "this_cpu_off" },
	{ 0xd66c1998, "mt76_csa_check" },
	{ 0x8190f841, "mt76_tx_status_skb_add" },
	{ 0x46675c49, "__tracepoint_mac_txdone" },
	{ 0x9e186b53, "mt76_tx_check_agg_ssn" },
	{ 0x6b9cefff, "ieee80211_tx_status_ext" },
	{ 0xc456ec, "mt76_stop_tx_queues" },
	{ 0x27d8bbca, "___pskb_trim" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfc29fa94, "__mt76_tx_complete_skb" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x120f833c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdb186181, "ieee80211_restart_hw" },
	{ 0x3b150389, "bpf_trace_run2" },
	{ 0xed9c5f2f, "ieee80211_get_hdrlen_from_skb" },
	{ 0x97e0a320, "kthread_park" },
	{ 0x4bf908ee, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x46511cb8, "mt76_wcid_init" },
	{ 0xf513b70f, "mt76_tx_status_check" },
	{ 0x87c6f55c, "wake_up_process" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0x31052d2c, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe7e7ecfc, "napi_complete_done" },
	{ 0xbf3000ba, "ieee80211_get_tx_rates" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66472f39, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x9c4d7604, "mt76_tx" },
	{ 0x403737b2, "__napi_schedule" },
	{ 0x2c629efd, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7b3ff6a9, "mt76_wcid_key_setup" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x33b1064a, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77329eaf, "kthread_unpark" },
	{ 0xa5ff861d, "mt76_phy_dfs_state" },
	{ 0x4a5dc074, "wiphy_to_ieee80211_hw" },
	{ 0xc3283d2f, "mt76_init_queue" },
	{ 0x392dfae9, "debugfs_attr_read" },
	{ 0xc0a98dfd, "__mt76_sta_remove" },
	{ 0x7da9752f, "mt76_tx_status_skb_done" },
	{ 0x1540e9e5, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0xc9b011a2, "debugfs_create_bool" },
	{ 0x205f3270, "skb_pull" },
	{ 0x72b7ebbd, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd4d35bbc, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x101d315f, "napi_enable" },
	{ 0xfb3dce48, "seq_putc" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0x92f99eaf, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x386f7da2, "ieee80211_wake_queues" },
	{ 0xf6b4120a, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7f7e52cd, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xc1811c4c, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbf5b3267, "mt76_set_irq_mask" },
	{ 0x3527bb12, "bpf_trace_run1" },
	{ 0x3a5db3aa, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xad10b1a7, "debugfs_create_u32" },
	{ 0x4c299773, "__SCK__tp_func_mac_txdone" },
	{ 0x27f2a41b, "mt76_seq_puts_array" },
	{ 0x2da543a1, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21f66a62, "__tracepoint_dev_irq" },
	{ 0x295b696b, "seq_read" },
	{ 0xf9d862d8, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0xb68bff2e, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x74348b2e, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8e856a3c, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x411726bc, "seq_write" },
	{ 0xf1563f01, "____mt76_poll_msec" },
	{ 0x154c3652, "seq_printf" },
	{ 0x1f6a41ed, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x63d5e0e9, "mt76_wcid_cleanup" },
	{ 0x2b418424, "ieee80211_radar_detected" },
	{ 0x5a539e2e, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb1b9be96, "mt76_queues_read" },
	{ 0xc55b14c5, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcfe67a98, "napi_schedule_prep" },
	{ 0x7ecdf9ff, "napi_disable" },
	{ 0x32aecf0f, "dev_kfree_skb_any_reason" },
	{ 0xbba719d2, "__mt76_poll" },
	{ 0xfd7f73f2, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x98671191, "debugfs_create_u8" },
	{ 0xbdd43ad4, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xec95df32, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0x894db89a, "mt76_dma_rx_poll" },
	{ 0xbd0c9391, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x25c1fe9e, "simple_attr_open" },
	{ 0x29bb8e0, "debugfs_attr_write" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc0c0c5e, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x91f10d15, "mt76_tx_status_skb_get" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0xf98acd6c, "mt76_tx_status_lock" },
	{ 0xeb26e0f6, "skb_dequeue" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "A8E6A73DBB78C6CA3E321A1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
