#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x323d6893, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xcafcf375, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x7d007c47, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xf2932933, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xfdfe01e5, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xd74b74b7, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x79949d03, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x36aeb685, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x47f3a638, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x6c1c2e1e, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xf0e7d742, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x1394c3df, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x695f30d3, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xa423a64a, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x9bbbb686, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x1446614b, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x6c72ac25, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x3d4cdb2a, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x6c76d554, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x25e23288, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x815c36cd, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3dcb5ce4, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2d9c6c6e, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x9feb25dc, "mt76_eeprom_init" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfbf30205, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf6b4120a, "mt76_mcu_send_and_get_msg" },
	{ 0x328cdac2, "mt76_eeprom_override" },
	{ 0xac0e7469, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1847bc33, "mt76_get_sar_power" },
	{ 0x92ed71d, "mt76x02_eeprom_copy" },
	{ 0x7bc88268, "mt76x02_mcu_calibrate" },
	{ 0x9193861d, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x12eee783, "mt76_get_min_avg_rssi" },
	{ 0x29e8c472, "mt76_init_sar_power" },
	{ 0x601022f3, "mt76x02_phy_adjust_vga_gain" },
	{ 0xc98bf783, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "539D28121D9F13BE1DFE0F3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
