#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x4a17f59f, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x1f5d7338, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xc86196ec, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x8bcbf593, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x2cc7a5ab, "");
SYMBOL_CRC(sdw_show_ping_status, 0x8f985432, "");
SYMBOL_CRC(sdw_nread_no_pm, 0xcd11365b, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0xd99cac11, "");
SYMBOL_CRC(sdw_write_no_pm, 0x0c8dd46f, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x483d8123, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0xe364fc37, "");
SYMBOL_CRC(sdw_read_no_pm, 0xa1f66833, "");
SYMBOL_CRC(sdw_update_no_pm, 0x2291796c, "");
SYMBOL_CRC(sdw_update, 0x67c54294, "");
SYMBOL_CRC(sdw_nread, 0xf4b400da, "");
SYMBOL_CRC(sdw_nwrite, 0x9c56b53f, "");
SYMBOL_CRC(sdw_read, 0x16c00833, "");
SYMBOL_CRC(sdw_write, 0x8595cc0d, "");
SYMBOL_CRC(sdw_compare_devid, 0xd83a281b, "");
SYMBOL_CRC(sdw_extract_slave_id, 0xdb63d6c3, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0x021f1f71, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x0d16500a, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0x4bec5a51, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x4ff2e810, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x662e500a, "");
SYMBOL_CRC(sdw_slave_add, 0xc9596fee, "");
SYMBOL_CRC(sdw_master_read_prop, 0x69b9dbcf, "");
SYMBOL_CRC(sdw_slave_read_prop, 0xf357f572, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0xcf4d01b6, "");
SYMBOL_CRC(sdw_enable_stream, 0x62705df3, "");
SYMBOL_CRC(sdw_disable_stream, 0x9542f962, "");
SYMBOL_CRC(sdw_deprepare_stream, 0xa8156c84, "");
SYMBOL_CRC(sdw_alloc_stream, 0xcff67581, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0x03c7bfd4, "");
SYMBOL_CRC(sdw_stream_add_master, 0x67b3b2c2, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x2487305e, "");
SYMBOL_CRC(sdw_stream_add_slave, 0x9c414f6a, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xf9d5a7aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddcc49f, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x90837b5f, "sdca_lookup_functions" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa4778caf, "devm_kasprintf" },
	{ 0x295b696b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51f70624, "fwnode_property_present" },
	{ 0xf4685f3, "irq_domain_instantiate" },
	{ 0xbaf61453, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x76c4f268, "device_get_named_child_node" },
	{ 0xdf883f4b, "sdca_lookup_interface_revision" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x154c3652, "seq_printf" },
	{ 0xbfda12b0, "irq_create_mapping_affinity" },
	{ 0xe507f10f, "debugfs_create_file_full" },
	{ 0x5a539e2e, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xf333a4d3, "acpi_dev_for_each_child" },
	{ 0x2c7a8392, "__pm_runtime_suspend" },
	{ 0x427ccda3, "irq_set_chip" },
	{ 0x443d5844, "__pm_runtime_use_autosuspend" },
	{ 0xbdd43ad4, "single_open" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xc5393c74, "__pm_runtime_disable" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x5052a102, "fwnode_property_read_u8_array" },
	{ 0x3ddd8dba, "driver_register" },
	{ 0x70f3df00, "__pm_runtime_idle" },
	{ 0x597db3ac, "acpi_get_local_u64_address" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x1314f8e1, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x716f8ed1, "debugfs_create_str" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x38c3a347, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x25c1fe9e, "simple_attr_open" },
	{ 0x29bb8e0, "debugfs_attr_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x42bdf2f8, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x65f34e06, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x9a0a905b, "device_unregister" },
	{ 0x96450ea5, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xfa3f10de, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x69c9923e, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0x120f833c, "seq_lseek" },
	{ 0xe7dd6baf, "dev_pm_domain_attach" },
	{ 0x9e6e1200, "devm_device_add_group" },
	{ 0xad0d465e, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x32110922, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2b39aa7, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x311f3829, "put_device" },
	{ 0x39bd801f, "pm_runtime_enable" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xdab5867e, "device_property_read_u32_array" },
	{ 0x9f38d83, "fwnode_property_read_u32_array" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x8d4330ae, "dev_pm_domain_detach" },
	{ 0x3f3115e4, "pm_generic_runtime_suspend" },
	{ 0x392dfae9, "debugfs_attr_read" },
	{ 0x612772f3, "bus_unregister" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x72b7ebbd, "simple_attr_release" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6573f300, "ida_free" },
	{ 0xbdf75acb, "driver_unregister" },
	{ 0xc3996ad7, "__dev_fwnode_const" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x726b5072, "device_register" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-sdca");


MODULE_INFO(srcversion, "3847FDF0E475581F248670F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
