#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x7a351870, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x072df1ce, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xd0e3ac52, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x041628f4, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xd5014e28, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xeeba8630, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x337899fd, "skb_mpls_pop" },
	{ 0x82f2ae82, "skb_vlan_pop" },
	{ 0xb19b5103, "dst_init" },
	{ 0x3eb6dbd2, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xfea3e844, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x99c8f45d, "rtnl_link_unregister" },
	{ 0xe13e1a5f, "perf_trace_run_bpf_submit" },
	{ 0xe8ffbc41, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0x73fd5acd, "ipv6_stub" },
	{ 0x6d469228, "skb_mpls_update_lse" },
	{ 0x205f3270, "skb_pull" },
	{ 0x342306d8, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6584164, "sk_skb_reason_drop" },
	{ 0x2c56b764, "netlink_unicast" },
	{ 0x7dfe340b, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbc558cc5, "dev_get_by_index_rcu" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf38f1bc9, "skb_push" },
	{ 0xf29309db, "kmem_cache_free" },
	{ 0x1b3a10b5, "netdev_upper_dev_unlink" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x56bced7f, "trace_event_reg" },
	{ 0x188ea9da, "skb_ensure_writable" },
	{ 0xbfe5513a, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x29b55d5f, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xab54152f, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4af6e4c0, "ethtool_op_get_link" },
	{ 0x61141bee, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xe63f042d, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x672d0b6b, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd5a38196, "__pskb_pull_tail" },
	{ 0xa264fa65, "nf_ct_delete" },
	{ 0x1715c22c, "nf_conncount_init" },
	{ 0xe570ca69, "skb_vlan_push" },
	{ 0xfc708f7d, "netif_rx" },
	{ 0xd532218, "__netdev_alloc_skb" },
	{ 0xfe40e12d, "__kmem_cache_create_args" },
	{ 0x761a500f, "netdev_master_upper_dev_link" },
	{ 0x7d22866e, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xaee7bb90, "inet_proto_csum_replace16" },
	{ 0xc279b09e, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4aef75b1, "skb_scrub_packet" },
	{ 0xe56d2534, "nf_ct_deliver_cached_events" },
	{ 0x2a4ad7c8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xfd507403, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb83c1f16, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc6181ea0, "trace_event_buffer_reserve" },
	{ 0x9383a4da, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4d95ed24, "inet_proto_csum_replace4" },
	{ 0x7edf55e4, "nf_conncount_destroy" },
	{ 0xab9f94c2, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x472eef3d, "__kmalloc_cache_noprof" },
	{ 0x84714251, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xf9d563c2, "dev_get_by_name" },
	{ 0x12e3843f, "skb_clone" },
	{ 0x93b55570, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xfb15c664, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x36d79925, "peernet2id_alloc" },
	{ 0x88a61670, "nf_ct_get_tuplepr" },
	{ 0xa5131530, "netdev_rx_handler_register" },
	{ 0xd0e2a108, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x171c0ff9, "genl_unregister_family" },
	{ 0x7dda295c, "dev_disable_lro" },
	{ 0xc80f3daa, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x32aecf0f, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4f56791d, "genl_register_family" },
	{ 0xafb6a934, "nf_ct_tmpl_free" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x32371a41, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x48b78eb, "__skb_gso_segment" },
	{ 0xbb53856b, "up_read" },
	{ 0x9ad0685c, "skb_mpls_push" },
	{ 0xbf7688fd, "register_pernet_device" },
	{ 0x90571bf0, "nf_conntrack_in" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x296cae72, "kmalloc_caches" },
	{ 0x8327dfe4, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x996bdf51, "kmem_cache_destroy" },
	{ 0x36c2714b, "__skb_vlan_pop" },
	{ 0xd603a1ab, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x96677ddb, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8034cb0a, "nf_ct_ext_add" },
	{ 0xa4581ad3, "nsh_pop" },
	{ 0x29debd1e, "nf_conntrack_find_get" },
	{ 0x3f72a4cf, "nf_ct_set_timeout" },
	{ 0x52ee92b4, "dev_get_stats" },
	{ 0xee585dc3, "__nla_put" },
	{ 0xc12bcd2, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x56a6e0f1, "dev_fill_metadata_dst" },
	{ 0x6f0530e4, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x5138de2e, "skb_copy_bits" },
	{ 0x9121d02f, "nf_ct_handle_fragments" },
	{ 0xf1b3ecc3, "eth_mac_addr" },
	{ 0xb4d5bcc3, "skb_put" },
	{ 0x54dcbb2b, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60830112, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x85ab7165, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x333133bc, "nf_ct_nat" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xea3b95ae, "skb_eth_pop" },
	{ 0x8cd57f67, "trace_raw_output_prep" },
	{ 0xb4d1b373, "skb_gso_validate_mac_len" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xd0c9d932, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xabb33b9c, "nf_ct_helper" },
	{ 0x6a3f320, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xaf58238d, "trace_event_printf" },
	{ 0x67d1c9e0, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd59780d7, "rtnl_link_register" },
	{ 0xebf42466, "nf_connlabels_put" },
	{ 0xf272e0c5, "genlmsg_put" },
	{ 0x27d8bbca, "___pskb_trim" },
	{ 0x7b47be7e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa6a7cbb4, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xf5f34d6, "dev_set_promiscuity" },
	{ 0x6b8b2140, "nf_ct_destroy_timeout" },
	{ 0x1578b26b, "nf_ct_add_helper" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0xc7268f9b, "nf_conntrack_helper_put" },
	{ 0x7a8293ca, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x32bf5f56, "nf_ct_skb_network_trim" },
	{ 0x81bb7af8, "unregister_netdevice_queue" },
	{ 0x671564f4, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc7187485, "ether_setup" },
	{ 0x756b21be, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8322e4e6, "pskb_expand_head" },
	{ 0x49e0a16d, "skb_csum_hwoffload_help" },
	{ 0xb83b99a8, "trace_event_buffer_commit" },
	{ 0xf2635788, "dev_addr_mod" },
	{ 0x64ae750e, "nf_connlabels_replace" },
	{ 0xd6d2cc3e, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x70f351, "alloc_netdev_mqs" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x7dde1d19, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xa29a39cb, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x836c3878, "skb_eth_push" },
	{ 0x648b2c9a, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x47fbbaa6, "__alloc_skb" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "4EA39F73996F5D7C0D82B41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
