#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x8538b287, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x750fd572, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x7640f772, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6dbd6b0e, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4033e321, "cs35l56_get_calibration" },
	{ 0xe2b39aa7, "__pm_runtime_set_status" },
	{ 0xbf32ee04, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39bd801f, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xdab5867e, "device_property_read_u32_array" },
	{ 0x7052c4a0, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x30043734, "cs35l56_init_cs_dsp" },
	{ 0xaf182b5a, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe9904fce, "cs_dsp_halo_init" },
	{ 0x53c63bf0, "cs_dsp_power_down" },
	{ 0x55d969d3, "debugfs_remove" },
	{ 0x96471163, "cs35l56_runtime_suspend_common" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9b7e45f7, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x81920bf9, "cs35l56_mbox_send" },
	{ 0x4906e663, "cs35l56_hw_init" },
	{ 0x33fec36, "_dev_warn" },
	{ 0x2cbbc248, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfecbce2a, "cs_dsp_power_up" },
	{ 0x68949389, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7dcffffb, "cs35l56_wait_for_firmware_boot" },
	{ 0xa4778caf, "devm_kasprintf" },
	{ 0x35452bdc, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x49d27455, "cs35l56_is_fw_reload_needed" },
	{ 0xf599a6c0, "regmap_read" },
	{ 0xc48778bb, "cs_dsp_run" },
	{ 0xbaf61453, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xff7ec9ef, "cs_amp_write_cal_coeffs" },
	{ 0x9a21c58, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6adfb440, "cs35l56_runtime_resume_common" },
	{ 0x213a3516, "regmap_update_bits_base" },
	{ 0x55ef8630, "dev_err_probe" },
	{ 0xcca6ba9, "regmap_multi_reg_write" },
	{ 0x2c7a8392, "__pm_runtime_suspend" },
	{ 0x90c1f7af, "component_add" },
	{ 0xcb4d13c0, "set_primary_fwnode" },
	{ 0x443d5844, "__pm_runtime_use_autosuspend" },
	{ 0x8e6ea10b, "devm_gpiod_get_index_optional" },
	{ 0xc5393c74, "__pm_runtime_disable" },
	{ 0xd3dcc214, "debugfs_create_dir" },
	{ 0x36c1cbca, "cs35l56_firmware_shutdown" },
	{ 0xbce185fc, "pm_runtime_force_suspend" },
	{ 0x70f3df00, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x844de0ab, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2428d31a, "regcache_cache_only" },
	{ 0x38c3a347, "is_acpi_device_node" },
	{ 0x584b7d14, "regcache_sync" },
	{ 0xd5a80c71, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x98a43a72, "firmware_request_nowarn" },
	{ 0x63a603fc, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x96e6332c, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9a355137, "cs_dsp_stop" },
	{ 0x96450ea5, "pm_runtime_set_autosuspend_delay" },
	{ 0xc8ab1ae4, "gpiod_set_value_cansleep" },
	{ 0x91007428, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9b63dc3f, "sound_debugfs_root" },
	{ 0x1d483f27, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb0060156, "cs_dsp_init_debugfs" },
	{ 0x472a5c25, "__dynamic_dev_dbg" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F1997E49FF05EA8C6A3DB94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
